![asterism-logo](https://raw.githubusercontent.com/gxapplications/asterism/master/docs/asterism-text.png)

### Build your dashboard, control/monitor everything you want as long as there is a plugin for that.

_asterism_ is made in NodeJS, React and Materialize CSS. Palm oil free!

---

[![release date](https://img.shields.io/github/release-date/gxapplications/asterism.svg)](https://github.com/gxapplications/asterism/releases)
[![npm package version](https://badge.fury.io/js/asterism.svg?logo=npm)](https://www.npmjs.com/package/asterism)
[![npm downloads](https://img.shields.io/npm/dt/asterism.svg?logo=npm&label=npm%20downloads)](https://www.npmjs.com/package/asterism)
[![Build Status](https://travis-ci.org/gxapplications/asterism.png?branch=master&logo=travis)](https://travis-ci.org/gxapplications/asterism)
[![lib dep version](https://img.shields.io/npm/dependency-version/asterism/asterism-plugin-library.svg)](https://www.npmjs.com/package/asterism-plugin-library)

_[Development progression / Roadmap available here (asterism and plugins)](https://github.com/users/gxapplications/projects/1)_

---

# Want to use _asterism_ in domotics suite? 

[Please go to the asterism-for-domotics project](https://github.com/gxapplications/asterism-for-domotics) If you just want to install _asterism_ to use it in domotics, this is for you.


# Developer documentation

[The technical and developer documentation is here.](https://github.com/gxapplications/asterism/wiki/Developer-documentation) If you want to install and develop on the platform, this is for you.

[Documentation of library to include in your developments](https://gxapplications.github.io/asterism-plugin-library/asterism-plugin-library/2.4.0/index.html)

![node version](https://img.shields.io/badge/node-%3E%3D%2012.12.0-pink.svg)
![](https://img.shields.io/npm/dependency-version/asterism/react.svg)
![](https://img.shields.io/npm/dependency-version/asterism/express.svg)
![](https://img.shields.io/npm/dependency-version/asterism/materialize-css.svg)
![](https://img.shields.io/npm/dependency-version/asterism/webpack.svg)


# Prerequisites

- A private server remaining ON to run the background application (Linux like), reachable in a protected network area only (public version with authentication will come later),
- One or more clients to display and control the dashboard via a Chrome browser (tablet, computer, mobile phone...).
- Server part is not compatible with Microsoft Windows OS. Web part is compatible with Google Chrome & Chromium only, >= 71.


# Deeper in the main goals of this project
 
- A NodeJS stateful server allows constant monitoring, background actions or programmed behaviors of your domotics stuff. Made to fit a small hardware configuration like a Raspberry Pi2. 
- A modern & responsive web interface that displays a dashboard is permanently connected to the server to control everything. You make your dashboard with what you want _(as long as there is a plugin for that)_.
- Every domotics features are bundled in third part plugins. You choose the plugins you need, only.


:copyright: 2017-2022 GXApplications. [ [Roadmap/Milestones](https://github.com/gxapplications/asterism/milestones?direction=asc&sort=due_date&state=open) | [License](https://github.com/gxapplications/asterism/blob/master/LICENSE.md) ]
