'use strict';Object.defineProperty(exports,"__esModule",{value:true});exports.default=void 0;var _react=_interopRequireDefault(require("react"));var _materialize=require("react-gridifier/dist/materialize");var _reactMaterialize=require("react-materialize");var _tools=require("./tools");var _orderHandler=_interopRequireDefault(require("./order-handler"));var _resizer=_interopRequireDefault(require("./edition/resizer"));function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);enumerableOnly&&(symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable;})),keys.push.apply(keys,symbols);}return keys;}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=null!=arguments[i]?arguments[i]:{};i%2?ownKeys(Object(source),!0).forEach(function(key){_defineProperty(target,key,source[key]);}):Object.getOwnPropertyDescriptors?Object.defineProperties(target,Object.getOwnPropertyDescriptors(source)):ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key));});}return target;}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}function _createClass(Constructor,protoProps,staticProps){if(protoProps)_defineProperties(Constructor.prototype,protoProps);if(staticProps)_defineProperties(Constructor,staticProps);Object.defineProperty(Constructor,"prototype",{writable:false});return Constructor;}var _brokenItem=function _brokenItem(id,clickCallback){return _react.default.createElement(_reactMaterialize.Button,{key:id,waves:"red",className:"grey lighten-2 red-text truncate fluid",onClick:function onClick(){return clickCallback(id);}},_react.default.createElement(_reactMaterialize.Icon,{medium:true},"warning")," ",_react.default.createElement(_reactMaterialize.Icon,{medium:true},"healing"));};var getFromId=function getFromId(id,factories,returnFactory){var settingPanelCallback=arguments.length>3&&arguments[3]!==undefined?arguments[3]:null;var brokenCallback=arguments.length>4&&arguments[4]!==undefined?arguments[4]:function(){};try{var splitId=id.split('~~');if(splitId.length!==2){throw new Error();}var factoryId=splitId[0];var factory=factories.find(function(f){return f.id===factoryId;});if(returnFactory){return factory;}var item=factory.instantiateItem(id,settingPanelCallback);if(item instanceof Promise){return item.catch(function(error){if(error.status&&error.status===404){console.error(`Item instance ${id} not found from factory ${factoryId}.`);return{item:_brokenItem(id,brokenCallback)};}throw error;});}return item;}catch(error){if(returnFactory){throw error;}return{item:_brokenItem(id,brokenCallback)};}};var ItemManager=function(){function ItemManager(localStorage,serverStorage,mainComponent){_classCallCheck(this,ItemManager);this.localStorage=localStorage;this.serverStorage=serverStorage;this.mainComponent=mainComponent;this.orderHandler=new _orderHandler.default(localStorage,'order-handler',this.applyServerOrder.bind(this));}_createClass(ItemManager,[{key:"applyServerOrder",value:function applyServerOrder(){var _this=this;return this.serverStorage.getItemForPath('order-handler').then(function(order){_this.orderHandler.setLocalOrder(order||[]);Promise.all(_this.getAllItems()).then(function(items){_this.mainComponent.setState({items});_this.orderHandler.restoreOrder();});}).catch(function(error){if(error.status!==404){console.error(error);}});}},{key:"getAllItems",value:function getAllItems(){var _this2=this;var factories=this.mainComponent.state.itemFactories;return this.orderHandler.getLocalOrder().map(function(_ref){var id=_ref.id,w=_ref.w,h=_ref.h;var item=getFromId(id,factories,false,_this2.settingPanelClosed.bind(_this2),_this2.removeItem.bind(_this2));if(item instanceof Promise){return item.then(function(data){return _this2.encapsulateItem(_objectSpread({id,w,h},data));});}return Promise.resolve(_this2.encapsulateItem(_objectSpread({id,w,h},item)));});}},{key:"encapsulateItem",value:function encapsulateItem(_ref2){var _this3=this;var item=_ref2.item,id=_ref2.id,_ref2$w=_ref2.w,w=_ref2$w===void 0?1:_ref2$w,_ref2$h=_ref2.h,h=_ref2$h===void 0?1:_ref2$h,_ref2$settingPanel=_ref2.settingPanel,settingPanel=_ref2$settingPanel===void 0?null:_ref2$settingPanel;var removeHandler=function removeHandler(){return _this3.removeItem(id);};var settingsHandler=function settingsHandler(){if(settingPanel){_this3.mainComponent.setState({itemSettingPanel:settingPanel});if(_this3.mainComponent.state.animationLevel>=3){setTimeout(function(){$('#item-setting-modal .coloring-header').addClass(_this3.mainComponent.props.theme.backgrounds.editing);},340);}}};var resizeHandler=function resizeHandler(){$(`#resizer-${id.substr(-36)}`).modal('open');};resizeHandler.settingPanel=settingPanel;resizeHandler.item=item;return _react.default.createElement(_materialize.Item,{width:w,height:h,id:id,key:id.substr(-36),draggable:true,removable:!!removeHandler,removeHandler:removeHandler,settingsHandler:settingsHandler,resizeHandler:resizeHandler},item,_react.default.createElement(_resizer.default,{acceptedDimensions:item.props.acceptedDimensions||[{h,w}],mainComponent:this.mainComponent,initialHeight:h,initialWidth:w,itemId:id}));}},{key:"addNewItem",value:function addNewItem(id,item,h,w,settingPanel){var _this4=this;var animationFlow=arguments.length>5&&arguments[5]!==undefined?arguments[5]:null;return Promise.all(this.getAllItems()).then(function(items){items.push(_this4.encapsulateItem({item,id,w,h,settingPanel}));_this4.mainComponent.setState({items,animationFlow});});}},{key:"removeItem",value:function removeItem(id){var _this5=this;Promise.all(this.getAllItems()).then(function(items){_this5.orderHandler.setLocalOrder(_this5.orderHandler.getLocalOrder().filter(function(i){return i.id!==id;}));_this5.mainComponent.setState({items:items.filter(function(i){return i.props.id!==id;})});var factories=_this5.mainComponent.state.itemFactories;var factory=getFromId(id,factories,true);factory.removeItem(id);});}},{key:"resizeItem",value:function resizeItem(id,h,w){var _this6=this;Promise.all(this.getAllItems()).then(function(items){_this6.orderHandler.setLocalOrder(_this6.orderHandler.getLocalOrder().map(function(item){if(item.id!==id){return item;}item.w=w;item.h=h;return item;}));_this6.mainComponent.setState({items:items.map(function(item){if(item.props.id!==id){return item;}return _this6.encapsulateItem({item:item.props.resizeHandler.item,id,w,h,settingPanel:item.props.resizeHandler.settingPanel});})});_this6.mainComponent.gridComponent.reposition();});}},{key:"settingPanelClosed",value:function settingPanelClosed(data){var _this7=this;$('#item-setting-modal').modal('close');(0,_tools.sleep)(400).then(function(){if(data){var id=data.id,item=data.item,preferredHeight=data.preferredHeight,preferredWidth=data.preferredWidth,settingPanel=data.settingPanel;_this7.addNewItem(id,item,preferredHeight,preferredWidth,settingPanel);}_this7.mainComponent.setState({itemSettingPanel:null});});}}]);return ItemManager;}();var _default=ItemManager;exports.default=_default;