'use strict';Object.defineProperty(exports,"__esModule",{value:true});exports.default=exports.MainComponent=void 0;var _classnames=_interopRequireDefault(require("classnames"));var _propTypes=_interopRequireDefault(require("prop-types"));var _react=_interopRequireDefault(require("react"));var _materialize=require("react-gridifier/dist/materialize");var _reactMaterialize=require("react-materialize");var _reactTransitionGroup=require("react-transition-group");var _debounce=_interopRequireDefault(require("debounce"));var _package=require("../../package.json");var _addCategoryButtons=_interopRequireDefault(require("./edition/add-category-buttons"));var _defaultMaterialTheme=_interopRequireDefault(require("./default-material-theme"));var _defaultLocalStorage=_interopRequireDefault(require("./default-local-storage"));var _defaultServerStorage=_interopRequireDefault(require("./default-server-storage"));var _itemManager=_interopRequireDefault(require("./item-manager"));var _itemSetting=_interopRequireDefault(require("./edition/item-setting"));var _logger=_interopRequireDefault(require("./logger"));var _notificationManager=_interopRequireDefault(require("./notification-manager"));var _settings=_interopRequireDefault(require("./edition/settings"));var _socketManager=_interopRequireDefault(require("./socket-manager"));var _speechManager=_interopRequireDefault(require("./speech-manager"));var _tools=require("./tools");function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}function _createClass(Constructor,protoProps,staticProps){if(protoProps)_defineProperties(Constructor.prototype,protoProps);if(staticProps)_defineProperties(Constructor,staticProps);Object.defineProperty(Constructor,"prototype",{writable:false});return Constructor;}function _inherits(subClass,superClass){if(typeof superClass!=="function"&&superClass!==null){throw new TypeError("Super expression must either be null or a function");}subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,writable:true,configurable:true}});Object.defineProperty(subClass,"prototype",{writable:false});if(superClass)_setPrototypeOf(subClass,superClass);}function _setPrototypeOf(o,p){_setPrototypeOf=Object.setPrototypeOf?Object.setPrototypeOf.bind():function _setPrototypeOf(o,p){o.__proto__=p;return o;};return _setPrototypeOf(o,p);}function _createSuper(Derived){var hasNativeReflectConstruct=_isNativeReflectConstruct();return function _createSuperInternal(){var Super=_getPrototypeOf(Derived),result;if(hasNativeReflectConstruct){var NewTarget=_getPrototypeOf(this).constructor;result=Reflect.construct(Super,arguments,NewTarget);}else{result=Super.apply(this,arguments);}return _possibleConstructorReturn(this,result);};}function _possibleConstructorReturn(self,call){if(call&&(typeof call==="object"||typeof call==="function")){return call;}else if(call!==void 0){throw new TypeError("Derived constructors may only return object or undefined");}return _assertThisInitialized(self);}function _assertThisInitialized(self){if(self===void 0){throw new ReferenceError("this hasn't been initialised - super() hasn't been called");}return self;}function _isNativeReflectConstruct(){if(typeof Reflect==="undefined"||!Reflect.construct)return false;if(Reflect.construct.sham)return false;if(typeof Proxy==="function")return true;try{Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],function(){}));return true;}catch(e){return false;}}function _getPrototypeOf(o){_getPrototypeOf=Object.setPrototypeOf?Object.getPrototypeOf.bind():function _getPrototypeOf(o){return o.__proto__||Object.getPrototypeOf(o);};return _getPrototypeOf(o);}var localStorage=new _defaultLocalStorage.default('asterism');var MainComponent=function(_React$Component){_inherits(MainComponent,_React$Component);var _super=_createSuper(MainComponent);function MainComponent(props){var _this;_classCallCheck(this,MainComponent);_this=_super.call(this,props);_this.logger=(0,_logger.default)(_assertThisInitialized(_this));_this.readOnly=(0,_tools.hasCookie)('readOnly-access-token');_this.securityOn=(0,_tools.hasCookie)('readOnly-access-token')||(0,_tools.hasCookie)('admin-access-token');_this.notificationManager=new _notificationManager.default(_assertThisInitialized(_this),_this.logger);_this.socketManager=new _socketManager.default(_this.logger);_this.systemSocket=_this.socketManager.generateSystemSocket(_this.notificationManager);_this.itemManager=new _itemManager.default(props.localStorage,props.serverStorage,_assertThisInitialized(_this));var mainState=_this.getState.bind(_assertThisInitialized(_this));mainState.set=_this.setState.bind(_assertThisInitialized(_this));mainState.openEditPanel=function(panelLibName){var idx=arguments.length>1&&arguments[1]!==undefined?arguments[1]:0;_this.openEditPanel(_this.state.editPanels.filter(function(ep){return ep.libName===panelLibName;})[idx].Panel);};mainState.openSettings=function(tabId){if(_this.readOnly){_this.openPermissionsModal();}else{setTimeout(function(){$('#settings-modal').modal('open');try{var id=$(`#${tabId}`).parent().attr('id');setTimeout(function(){$('#settings-modal ul.tabs').tabs('select',id);},400);}catch(error){console.error(error);}},_this.state.editMode?100:1200);_this.setState({editMode:true});}};mainState.logout=_this.logout.bind(_assertThisInitialized(_this));window.addEventListener('beforeinstallprompt',function(event){_this.logger.log('beforeinstallprompt triggered!');_this.setState({deferredInstallPrompt:{event,clean:function clean(){return _this.setState({deferredInstallPrompt:null});},prompt:function prompt(){event.prompt();return event.userChoice.then(function(choiceResult){if(choiceResult.outcome==='accepted'){_this.logger.log('User accepted the install prompt');_this.state.deferredInstallPrompt&&_this.state.deferredInstallPrompt.clean();}else{_this.logger.log('User dismissed the install prompt');}return choiceResult.outcome==='accepted';});}}});});_this.speechManager=new _speechManager.default(_assertThisInitialized(_this),props.localStorage,_this.logger,mainState);_this.services=(process.env.ASTERISM_SERVICES||[]).reduce(function(map,toRequire){if(!toRequire){return map;}var Clazz=plugins.services[toRequire.service].default;var instance=new Clazz({getServices:function getServices(){return map;},notificationManager:_this.notificationManager,mainState,privateSocket:toRequire.privateSocket?_this.socketManager.connectPrivateSocket(toRequire.privateSocket):null,publicSockets:toRequire.publicSockets?toRequire.publicSockets.reduce(function(acc,namespace){acc[namespace]=_this.socketManager.connectPublicSocket(namespace);return acc;},{}):[]});map[toRequire.libName]=instance;return map;},{});_this.state={editMode:window.document.location.hash==='#edit'&&!_this.readOnly,animationLevel:parseInt(props.localStorage.getItem('settings-animation-level')||3),itemFactories:(process.env.ASTERISM_ITEM_FACTORIES||[]).map(function(toRequire){var Clazz=plugins.itemFactories[toRequire.module].default;var factory=new Clazz({localStorage:props.localStorage.createSubStorage(toRequire.libName),serverStorage:props.serverStorage.createSubStorage(toRequire.libName),mainState,theme:props.theme,privateSocket:toRequire.privateSocket?_this.socketManager.connectPrivateSocket(toRequire.privateSocket):null,publicSockets:toRequire.publicSockets?toRequire.publicSockets.reduce(function(acc,namespace){acc[namespace]=_this.socketManager.connectPublicSocket(namespace);return acc;},{}):[],services:_this.services});factory.id=toRequire.module;Object.freeze(factory);return factory;}),editPanels:(process.env.ASTERISM_EDIT_PANELS||[]).map(function(toRequire){var Clazz=plugins.editPanels[toRequire.module].default;return{libName:toRequire.libName,label:Clazz.label,icon:Clazz.icon,Panel:Clazz,privateSocket:toRequire.privateSocket?_this.socketManager.connectPrivateSocket(toRequire.privateSocket):null,publicSockets:toRequire.publicSockets?toRequire.publicSockets.reduce(function(acc,namespace){acc[namespace]=_this.socketManager.connectPublicSocket(namespace);return acc;},{}):[]};}),items:[],itemSettingPanel:null,EditPanel:null,editPanelButtonHighlight:false,animationFlow:null,notifications:[],messageModal:null,speechDialog:null,deferredInstallPrompt:null,haltSystem:function haltSystem(){_this.systemSocket.emit('halt-system',function(){_this.logout();});}};return _this;}_createClass(MainComponent,[{key:"componentDidMount",value:function componentDidMount(){var _this2=this;var bgColor=$('div.asterism').css('background-color');var navbarColor=$('div.asterism .navbar-fixed > nav').css('background-color');var textColor=$('div.asterism').css('color');$('div.asterism').css('box-shadow',`0 2000px 0 2000px ${bgColor}`);$('div.asterism .navbar-fixed ul.side-nav').css('background-color',navbarColor);$('div.asterism .navbar-fixed ul.side-nav').css('color',textColor);$.initialize('.input-field input',function(){if($(this).val().length){$(this).parent().next('label').addClass('active');$(this).nextAll('label').addClass('active');}});if(this.readOnly){$('#permissionsModal').modal({dismissible:true,inDuration:this.state.animationLevel>=2?300:0,outDuration:this.state.animationLevel>=2?300:0});}var debouncerRefreshItems=(0,_debounce.default)(this.refreshItems.bind(this),5000,true);window.addEventListener('pageshow',function(){return _this2.state.items.length?debouncerRefreshItems():null;});window.addEventListener('focus',debouncerRefreshItems);window.addEventListener('online',debouncerRefreshItems);window.addEventListener('offline',function(event){debouncerRefreshItems.clear();_this2.freezeItems(event);});window.addEventListener('pagehide',function(event){debouncerRefreshItems.clear();_this2.freezeItems(event);});(0,_tools.sleep)(320).then(this.instantiateItems.bind(this));$('div.asterism .navbar-fixed > nav').css('height','inherit');}},{key:"componentDidUpdate",value:function componentDidUpdate(prevProps,prevState){var _this3=this;if(this.state.itemSettingPanel&&!prevState.itemSettingPanel){$('#item-setting-modal').modal('open');if(this.state.animationFlow&&this.state.animationLevel>=3){var animationFlow=this.state.animationFlow;animationFlow.then((0,_tools.thenSleep)(300)).then(function(_ref){var rect=_ref.rect,bullet=_ref.bullet;var bulletIcon=$('i',bullet);var header=$('#item-setting-modal .coloring-header')[0];var headerBounds=header.getBoundingClientRect();rect.css({top:headerBounds.top,left:headerBounds.left,height:headerBounds.height,width:headerBounds.width});bulletIcon.css({color:'transparent'});return{rect,bullet,header,bulletIcon};}).then((0,_tools.thenSleep)(350)).then(function(_ref2){var rect=_ref2.rect,bullet=_ref2.bullet,header=_ref2.header,bulletIcon=_ref2.bulletIcon;bullet.removeClass('shrink');$(header).addClass(_this3.props.theme.backgrounds.editing);return{rect,bullet,bulletIcon};}).then((0,_tools.thenSleep)(700)).then(function(_ref3){var rect=_ref3.rect,bullet=_ref3.bullet,bulletIcon=_ref3.bulletIcon;rect.css({top:-100,left:-100,height:10,width:10,display:'none'});bullet.css({'background-color':'#fff'});bulletIcon.css({color:'#fff'});_this3.setState({animationFlow:null});});}}else{if(this.state.animationFlow&&this.state.animationLevel>=3){var _animationFlow=this.state.animationFlow;_animationFlow.then(function(_ref4){var rect=_ref4.rect,bullet=_ref4.bullet;rect.css({overflow:'visible'});bullet.removeClass('shrink');return{rect,bullet};}).then((0,_tools.thenSleep)(500)).then(function(_ref5){var rect=_ref5.rect,bullet=_ref5.bullet;rect.css({top:-100,left:-100,height:10,width:10,display:'none',overflow:'hidden'});bullet.css({'background-color':'#fff'});_this3.setState({animationFlow:null});});}else{$('#item-setting-modal .coloring-header').addClass(this.props.theme.backgrounds.editing);}}if(this.state.messageModal){$('#messageModal').modal({dismissible:true,inDuration:this.state.animationLevel>=2?300:0,outDuration:this.state.animationLevel>=2?300:0,complete:function complete(){_this3.setState({messageModal:null});}});$('#messageModal').modal('open');}if(this.state.EditPanel&&!prevState.EditPanel){$('#edit-panel-modal').modal({dismissible:false,startingTop:'1%',endingTop:'4%',opacity:0.5,inDuration:this.state.animationLevel>=2?300:0,outDuration:this.state.animationLevel>=2?300:0,onOpenStart:function onOpenStart(){$('#edit-panel-modal > nav > div.nav-wrapper').addClass(_this3.props.theme.backgrounds.editing);$('#edit-panel-modal .sidenav-trigger').remove();$('#edit-panel-modal > nav > div.nav-wrapper > ul').removeClass('hide-on-med-and-down');if(_this3.state.EditPanel&&_this3.state.EditPanel.onOpenStart){_this3.state.EditPanel.onOpenStart(_this3.props.theme);}},onOpenEnd:function onOpenEnd(){if(_this3.state.EditPanel&&_this3.state.EditPanel.onOpenEnd){_this3.state.EditPanel.onOpenEnd(_this3.props.theme);}},onCloseEnd:function onCloseEnd(){_this3.setState({EditPanel:null});}});$('#edit-panel-modal').modal('open');}}},{key:"render",value:function render(){var _this4=this;var _this$props=this.props,theme=_this$props.theme,localStorage=_this$props.localStorage,serverStorage=_this$props.serverStorage;var _this$state=this.state,editMode=_this$state.editMode,animationLevel=_this$state.animationLevel,itemFactories=_this$state.itemFactories,editPanels=_this$state.editPanels,EditPanel=_this$state.EditPanel,items=_this$state.items,itemSettingPanel=_this$state.itemSettingPanel,messageModal=_this$state.messageModal,speechDialog=_this$state.speechDialog,editPanelButtonHighlight=_this$state.editPanelButtonHighlight,logs=_this$state.logs;var SpeechStatus=this.speechManager.getComponent();var notifications=this.notificationManager.getComponents({animationLevel,theme});var editPanelContext=EditPanel?editPanels.find(function(ep){return ep.Panel===EditPanel;}):{};return _react.default.createElement("div",{className:(0,_classnames.default)('asterism',theme.backgrounds.body)},_react.default.createElement(_reactMaterialize.Navbar,{fixed:true,brand:_react.default.createElement("a",null,"\u2042"),alignLinks:"right",options:{preventScrolling:true,edge:'left',closeOnClick:true,draggable:true},className:(0,_classnames.default)(editMode?theme.backgrounds.editing:theme.backgrounds.card,animationLevel>=2?'animated':null)},_react.default.createElement(_reactMaterialize.NavItem,{key:"closing-header",href:"javascript:$(\"div.sidenav-overlay\").click()",className:(0,_classnames.default)('closing-header','hide-on-large-only',animationLevel>=2?'waves-effect waves-light':'',editMode?theme.backgrounds.editing:theme.backgrounds.card)},_react.default.createElement("i",{className:(0,_classnames.default)('material-icons','close')},"close"),_react.default.createElement("span",{className:"truncate"},window.location.pathname.split('/').filter(function(p){return p;}).join('/')||'asterism'),_react.default.createElement("pre",null,"v",_package.version)),editMode?null:notifications,editMode?null:_react.default.createElement(SpeechStatus,{animationLevel:animationLevel}),editMode?editPanels.map(function(_ref6,idx){var label=_ref6.label,icon=_ref6.icon,Panel=_ref6.Panel;return _react.default.createElement(_reactMaterialize.NavItem,{key:idx,onClick:_this4.openEditPanel.bind(_this4,Panel),href:"javascript:void(0)",className:(0,_classnames.default)(animationLevel>=2?'waves-effect waves-light':'')},_react.default.createElement("i",{className:(0,_classnames.default)('material-icons',icon)},icon),_react.default.createElement("span",{className:"hide-on-large-only"},label));}):null,editMode?_react.default.createElement(_reactMaterialize.NavItem,{onClick:this.openSettingsModal.bind(this),href:"javascript:void(0)",className:(0,_classnames.default)(animationLevel>=2?'waves-effect waves-light':'')},_react.default.createElement(_reactMaterialize.Icon,null,"settings"),_react.default.createElement("span",{className:"hide-on-large-only"},"Settings")):null,this.readOnly?null:_react.default.createElement(_reactMaterialize.NavItem,{onClick:this.toggleEditMode.bind(this),href:"javascript:void(0)",className:(0,_classnames.default)(animationLevel>=2?'waves-effect waves-light':'')},_react.default.createElement(_reactMaterialize.Icon,null,editMode?'check_circle':'edit'),_react.default.createElement("span",{className:"hide-on-large-only"},editMode?'End edition':'Edit mode')),this.securityOn?_react.default.createElement(_reactMaterialize.NavItem,{onClick:this.logout.bind(this),href:"javascript:void(0)",className:(0,_classnames.default)(animationLevel>=2?'waves-effect waves-light':'')},_react.default.createElement(_reactMaterialize.Icon,null,"lock_open"),_react.default.createElement("span",{className:"hide-on-large-only"},"Logout")):null),false&&_react.default.createElement("pre",{className:"logger"},_react.default.createElement("ul",null,logs.map(function(log,idx){return _react.default.createElement("li",{key:idx},log);}))),items.length?_react.default.createElement(_materialize.Gridifier,{editable:editMode,sortDispersion:true,orderHandler:this.itemManager.orderHandler,toggleTime:animationLevel>=2?250:0,coordsChangeTime:animationLevel>=2?250:0,gridResizeDelay:animationLevel>=2?80:160,ref:function ref(c){_this4.gridComponent=c;}},items):null,animationLevel>=3?_react.default.createElement(_reactTransitionGroup.TransitionGroup,null,editMode?_react.default.createElement(_addCategoryButtons.default,{animationLevel:animationLevel,theme:theme,itemManager:this.itemManager,itemFactories:itemFactories}):null):editMode?_react.default.createElement(_addCategoryButtons.default,{animationLevel:animationLevel,theme:theme,itemManager:this.itemManager,itemFactories:itemFactories}):null,editMode?_react.default.createElement(_settings.default,{animationLevel:animationLevel,localStorage:localStorage,serverStorage:serverStorage,itemManager:this.itemManager,socketManager:this.socketManager,theme:theme,mainState:this.getState.bind(this)}):null,editMode&&itemSettingPanel?_react.default.createElement(_itemSetting.default,{animationLevel:animationLevel,localStorage:localStorage,icon:itemSettingPanel.props.icon,title:itemSettingPanel.props.title,mainStateSet:this.setState.bind(this),serverStorage:serverStorage,theme:theme},itemSettingPanel):null,editMode&&EditPanel?_react.default.createElement("div",{id:"edit-panel-modal",className:(0,_classnames.default)('modal very-large-modal thin-scrollable',theme.backgrounds.body)},_react.default.createElement(_reactMaterialize.Navbar,{alignLinks:"right",className:EditPanel.extendHeader?theme.backgrounds.body:theme.backgrounds.editing,extendWith:EditPanel.extendHeader?_react.default.createElement(EditPanel,{serverStorage:serverStorage,theme:theme,animationLevel:animationLevel,localStorage:localStorage,services:function services(){return _this4.services;},privateSocket:editPanelContext.privateSocket,publicSockets:editPanelContext.publicSockets,ref:function ref(c){_this4._editPanelInstance=c;},highlightCloseButton:this.highlightCloseButton.bind(this)}):null,brand:_react.default.createElement("span",null,_react.default.createElement("i",{className:(0,_classnames.default)('material-icons small',EditPanel.icon)},EditPanel.icon),_react.default.createElement("span",{className:"hide-on-small-only"},EditPanel.label))},_react.default.createElement(_reactMaterialize.NavItem,{href:"javascript:void(0)",id:"edit-panel-close-button",className:(0,_classnames.default)({btn:editPanelButtonHighlight,[theme.actions.edition]:editPanelButtonHighlight,'waves-effect waves-green':animationLevel>=3&&!editPanelButtonHighlight,'waves-effect waves-light':animationLevel>=3&&editPanelButtonHighlight}),onClick:this.closeEditPanel.bind(this)},editPanelButtonHighlight?_react.default.createElement("span",null,_react.default.createElement(_reactMaterialize.Icon,{left:true},"check")," Ok"):'Close')),EditPanel.extendHeader?null:_react.default.createElement("div",{className:"modal-content thin-scrollable"},_react.default.createElement(EditPanel,{serverStorage:serverStorage,theme:theme,animationLevel:animationLevel,localStorage:localStorage,services:function services(){return _this4.services;},privateSocket:editPanelContext.privateSocket,publicSockets:editPanelContext.publicSockets,ref:function ref(c){_this4._editPanelInstance=c;},highlightCloseButton:this.highlightCloseButton.bind(this)}))):null,messageModal?_react.default.createElement("div",{id:"messageModal",className:"modal"},_react.default.createElement("div",{className:"modal-content"},_react.default.createElement("h4",null,_react.default.createElement("i",{className:(0,_classnames.default)('material-icons',messageModal.icon)},messageModal.icon)," Error"),_react.default.createElement("p",null,messageModal.message)),_react.default.createElement("div",{className:"modal-footer"},_react.default.createElement("a",{href:"javascript:void(0)",className:(0,_classnames.default)('btn modal-action modal-close btn-flat',{'waves-effect waves-green':animationLevel>=3})},_react.default.createElement(_reactMaterialize.Icon,null,"check")))):null,this.readOnly?_react.default.createElement("div",{id:"permissionsModal",className:"modal"},_react.default.createElement("div",{className:"modal-content"},_react.default.createElement("h4",null,_react.default.createElement(_reactMaterialize.Icon,{left:true},"verified_user")," Admin required"),_react.default.createElement("p",null,"You need admin privileges to access this feature.")),_react.default.createElement("div",{className:"modal-footer"},_react.default.createElement("a",{href:"javascript:void(0)",className:(0,_classnames.default)('btn modal-action modal-close btn-flat',{'waves-effect waves-light':animationLevel>=3})},"Cancel"),"\xA0",_react.default.createElement("a",{href:"javascript:void(0)",onClick:this.logout.bind(this),className:(0,_classnames.default)('btn modal-action modal-close btn-flat',{'waves-effect waves-green':animationLevel>=3})},_react.default.createElement(_reactMaterialize.Icon,{left:true},"lock_open")," Login as admin"))):null,this.speechManager.available?_react.default.createElement("div",{id:"speech-popup",className:"hide",onClick:this.speechManager.abortRecognition.bind(this.speechManager)},_react.default.createElement("div",{className:"bubble hide"},_react.default.createElement(_reactMaterialize.Icon,{className:"animation microphone"},"mic")),_react.default.createElement("div",{id:"speech-popup-dialog-container",className:"hide"},_react.default.createElement("div",{className:"dialog hide"},_react.default.createElement("div",{className:"content"},_react.default.createElement(_reactMaterialize.Icon,{className:"animation microphone"},"mic"),_react.default.createElement("span",{className:"title"},speechDialog&&speechDialog.question),_react.default.createElement("div",{className:"sub-content"},_react.default.createElement("ul",null,speechDialog&&speechDialog.alternatives.map(function(alt,idx){return _react.default.createElement("li",{key:idx},alt);}))))))):null);}},{key:"toggleEditMode",value:function toggleEditMode(){if(!this.readOnly){$('#mobile-nav.sidenav').sidenav('close');this.setState({editMode:!this.state.editMode});}}},{key:"openSettingsModal",value:function openSettingsModal(){if(this.readOnly){this.openPermissionsModal();}else{$('#mobile-nav.sidenav').sidenav('close');$('#settings-modal').modal('open');}}},{key:"openEditPanel",value:function openEditPanel(Panel){if(this.readOnly){this.openPermissionsModal();}else{this.setState({editMode:true,EditPanel:Panel});}}},{key:"openPermissionsModal",value:function openPermissionsModal(){$('#permissionsModal').modal('open');}},{key:"logout",value:function logout(){(0,_tools.deleteCookie)('readOnly-access-token');(0,_tools.deleteCookie)('admin-access-token');window.location.replace(`/login?then=${encodeURIComponent(window.location.pathname)}`);}},{key:"closeEditPanel",value:function closeEditPanel(){this.setState({editPanelButtonHighlight:false});if(this._editPanelInstance&&!!this._editPanelInstance.handleCloseButton){return this._editPanelInstance.handleCloseButton().catch(function(){$('#edit-panel-modal').modal('close');});}$('#edit-panel-modal').modal('close');}},{key:"highlightCloseButton",value:function highlightCloseButton(){this.setState({editPanelButtonHighlight:true});}},{key:"getState",value:function getState(){return this.state;}},{key:"instantiateItems",value:function instantiateItems(){var _this5=this;return Promise.all(this.itemManager.getAllItems()).then(function(items){console.log(`Restoring ${items.length} items in the grid...`);_this5.setState({items});});}},{key:"refreshItems",value:function refreshItems(event){this.logger.log('refreshItems'+(event&&event.type));var items=this.state.items;if(!items||items.length===0){return Promise.resolve();}return Promise.all(items.map(function(item){return item.props.children[0].props.initialParams.refresh(event);}));}},{key:"freezeItems",value:function freezeItems(event){this.logger.log('freezeItems'+(event&&event.type));var items=this.state.items;if(!items||items.length===0){return Promise.resolve();}return Promise.all(items.map(function(item){return item.props.children[0].props.initialParams.freeze(event);}));}}]);return MainComponent;}(_react.default.Component);exports.MainComponent=MainComponent;MainComponent.propTypes={theme:_propTypes.default.object.isRequired,localStorage:_propTypes.default.object.isRequired,serverStorage:_propTypes.default.object.isRequired};MainComponent.defaultProps={theme:new _defaultMaterialTheme.default(localStorage),localStorage:localStorage,serverStorage:new _defaultServerStorage.default('asterism')};var _default=MainComponent;exports.default=_default;