'use strict';Object.defineProperty(exports,"__esModule",{value:true});exports.default=void 0;var _annyang=_interopRequireDefault(require("annyang"));var _classnames=_interopRequireDefault(require("classnames"));var _commandManager=_interopRequireDefault(require("./command-manager"));var _reactMaterialize=require("react-materialize");var _react=_interopRequireDefault(require("react"));var _thesaurus=require("./thesaurus");function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function _toConsumableArray(arr){return _arrayWithoutHoles(arr)||_iterableToArray(arr)||_unsupportedIterableToArray(arr)||_nonIterableSpread();}function _nonIterableSpread(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");}function _unsupportedIterableToArray(o,minLen){if(!o)return;if(typeof o==="string")return _arrayLikeToArray(o,minLen);var n=Object.prototype.toString.call(o).slice(8,-1);if(n==="Object"&&o.constructor)n=o.constructor.name;if(n==="Map"||n==="Set")return Array.from(o);if(n==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return _arrayLikeToArray(o,minLen);}function _iterableToArray(iter){if(typeof Symbol!=="undefined"&&iter[Symbol.iterator]!=null||iter["@@iterator"]!=null)return Array.from(iter);}function _arrayWithoutHoles(arr){if(Array.isArray(arr))return _arrayLikeToArray(arr);}function _arrayLikeToArray(arr,len){if(len==null||len>arr.length)len=arr.length;for(var i=0,arr2=new Array(len);i<len;i++){arr2[i]=arr[i];}return arr2;}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}function _createClass(Constructor,protoProps,staticProps){if(protoProps)_defineProperties(Constructor.prototype,protoProps);if(staticProps)_defineProperties(Constructor,staticProps);Object.defineProperty(Constructor,"prototype",{writable:false});return Constructor;}var SpeechManager=function(){function SpeechManager(mainComponent,localStorage,logger,mainState){var _this=this;_classCallCheck(this,SpeechManager);this.mainComponent=mainComponent;this.logger=logger;this.mainState=mainState;this.available=('SpeechRecognition'in window||'webkitSpeechRecognition'in window)&&'speechSynthesis'in window;this.voice=false;this.continuousMode=localStorage.getItem('settings-speech-continuous-recognition')||false;if(this.available){window.speechSynthesis.getVoices();setTimeout(function(){_this.commandManager=new _commandManager.default(_this.initEngines(localStorage),_this.continuousMode,_this.mainState,_this.speak.bind(_this),_this.setLanguage.bind(_this),_this.continueDialog.bind(_this),_this.stopDialog.bind(_this),logger);},200);}this.resultAnimating=false;this.justStarted=false;this.dialogMode=false;}_createClass(SpeechManager,[{key:"initEngines",value:function initEngines(localStorage){var _this2=this;_annyang.default.init({},true);var recognition=_annyang.default.getSpeechRecognizer();var defaultLanguage=localStorage.getItem('settings-speech-main-language')||'en-US';this.setLanguage(defaultLanguage);window.speechSynthesis.onvoiceschanged=function(e){_this2.setLanguage(defaultLanguage);};_annyang.default.addCallback('start',function(){if(!_this2.dialogMode){$('#speech-popup').removeClass('hide');_this2.justStarted=true;setTimeout(function(){$('#speech-popup .bubble').removeClass('hide');_this2.justStarted=false;},20);}else{$('#speech-popup').removeClass('hide');$('#speech-popup-dialog-container').removeClass('hide');setTimeout(function(){$('#speech-popup-dialog-container .dialog').removeClass('hide');},20);}});_annyang.default.addCallback('end',function(){if(!_this2.dialogMode){if(_this2.justStarted){_this2.logger.warn('Annyang stops too quickly. Mic may be blocked.');_this2.available=false;_this2.speak(_thesaurus.errors[_this2.voice.lang]);$('#speech-popup .bubble').addClass('red-text');_this2.resultAnimating=setTimeout(function(){$('#speech-popup .bubble').addClass('hide');$('#speech-popup .bubble').removeClass('red-text');setTimeout(function(){return $('#speech-popup').addClass('hide');},200);_this2.resultAnimating=false;},1100);}if(!_this2.resultAnimating){$('#speech-popup .bubble').addClass('hide');setTimeout(function(){return $('#speech-popup').addClass('hide');},200);}}else{$('#speech-popup-dialog-container .dialog').addClass('hide');setTimeout(function(){$('#speech-popup-dialog-container').addClass('hide');$('#speech-popup').addClass('hide');},150);}});recognition.onspeechstart=function(){$('#speech-popup i.material-icons.microphone').addClass('viber');};recognition.onspeechend=function(){$('#speech-popup i.material-icons.microphone').removeClass('viber');};_annyang.default.addCallback('result',function(){if(!_this2.dialogMode){$('#speech-popup .bubble').addClass('green-text');_this2.resultAnimating=setTimeout(function(){$('#speech-popup .bubble').addClass('hide');$('#speech-popup .bubble').removeClass('green-text');setTimeout(function(){return $('#speech-popup').addClass('hide');},200);_this2.resultAnimating=false;},1100);}else{$('#speech-popup-dialog-container .dialog').addClass('hide');setTimeout(function(){$('#speech-popup-dialog-container').addClass('hide');$('#speech-popup').addClass('hide');},150);}});_annyang.default.addCallback('error',function(){$('#speech-popup .bubble').addClass('hide');$('#speech-popup .bubble').removeClass('green-text');$('#speech-popup .bubble').removeClass('red-text');$('#speech-popup-dialog-container .dialog').addClass('hide');$('#speech-popup-dialog-container').addClass('hide');$('#speech-popup').addClass('hide');_this2.resultAnimating=false;});_annyang.default.addCallback('errorNetwork',function(){_this2.logger.error('Annyang errorNetwork');_this2.speak(_thesaurus.errors.errorNetwork[_this2.voice.lang]);});_annyang.default.addCallback('errorPermissionBlocked',function(){_this2.logger.error('Annyang errorPermissionBlocked');_this2.speak(_thesaurus.errors.errorPermissionBlocked[_this2.voice.lang]);_this2.available=false;});_annyang.default.addCallback('errorPermissionDenied',function(){_this2.logger.error('Annyang errorPermissionDenied');_this2.speak(_thesaurus.errors.errorPermissionDenied[_this2.voice.lang]);_this2.available=false;});return _annyang.default;}},{key:"setLanguage",value:function setLanguage(language){var voices=[].concat(_toConsumableArray(window.speechSynthesis.getVoices().filter(function(v){return v.lang.startsWith(language)||v.lang.startsWith(language.replace('-','_'));})),_toConsumableArray(window.speechSynthesis.getVoices().filter(function(v){return v.lang.startsWith(language.substr(0,2));})));if(voices.length){this.voice=voices[0];_annyang.default.setLanguage(language);}else{this.logger.warn(`Speech-manager: setLanguage cannot find language: searched ${language}. Available: [${window.speechSynthesis.getVoices().join(',')}]`);this.available=false;}}},{key:"startRecognition",value:function startRecognition(){var _this3=this;var animationLevel=arguments.length>0&&arguments[0]!==undefined?arguments[0]:0;if(!this.available){return;}this.logger.log('startRecognition step 0.');this.speak(_thesaurus.listens[this.voice.lang]);if(animationLevel>=3&&!this.dialogMode){var bubbleContainer=$('.navbar-fixed ul.hide-on-med-and-down .speech-bubble-container');bubbleContainer.addClass('go');var bubbleContainerBounds=bubbleContainer[0].getBoundingClientRect();$('.speech-bubble',bubbleContainer).css({left:`calc(50vw - 32px - ${bubbleContainerBounds.left}px)`,top:`calc(50vh - 32px - ${bubbleContainerBounds.top}px)`});setTimeout(function(){bubbleContainer.removeClass('go');$('.speech-bubble',bubbleContainer).css({left:'1px',top:'1px'});},600);setTimeout(function(){_this3.commandManager.start();},600);}else{setTimeout(function(){_this3.commandManager.start();},90);}}},{key:"continueDialog",value:function continueDialog(question,alternatives){this.dialogMode={question:question||this.dialogMode.question,alternatives:alternatives||this.dialogMode.alternatives};this.mainComponent.setState({speechDialog:this.dialogMode});$('#speech-popup').removeClass('hide');$('#speech-popup-dialog-container').removeClass('hide');setTimeout(function(){$('#speech-popup-dialog-container .dialog').removeClass('hide');},10);this.commandManager.start();}},{key:"stopDialog",value:function stopDialog(){this.dialogMode=false;this.mainComponent.setState({speechDialog:null});}},{key:"abortRecognition",value:function abortRecognition(){this.dialogMode=false;this.mainComponent.setState({speechDialog:null});this.commandManager.abort();}},{key:"speak",value:function speak(text,callback){_annyang.default.abort();if(this.available){var ut=new window.SpeechSynthesisUtterance(text);ut.voice=this.voice;window.speechSynthesis.speak(ut);if(callback){ut.onend=callback;}}}},{key:"getComponent",value:function getComponent(){var _this4=this;return function(_ref){var animationLevel=_ref.animationLevel;return _react.default.createElement(_reactMaterialize.NavItem,{className:(0,_classnames.default)('notification-item-speech',_this4.available&&animationLevel>=2?'waves-effect waves-light':'',{'speech-disabled':!_this4.available}),href:"javascript:void(0)",onClick:_this4.startRecognition.bind(_this4,animationLevel)},_this4.available?_react.default.createElement("span",{className:"speech-bubble-container hide-on-med-and-down"},_react.default.createElement("span",{className:"speech-bubble"},_react.default.createElement(_reactMaterialize.Icon,null,"mic"))):null,_react.default.createElement(_reactMaterialize.Icon,null,_this4.available?'mic':'mic_off'),_react.default.createElement("span",{className:"hide-on-large-only"},"Speak to control"));};}}]);return SpeechManager;}();exports.default=SpeechManager;