'use strict';Object.defineProperty(exports,"__esModule",{value:true});exports.default=void 0;var _classnames=_interopRequireDefault(require("classnames"));var _debounce=_interopRequireDefault(require("debounce"));var _react=_interopRequireDefault(require("react"));var _reactMaterialize=require("react-materialize");var _asterismPluginLibrary=require("asterism-plugin-library");var _stylesCss=_interopRequireDefault(require("./styles.css.js"));function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);enumerableOnly&&(symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable;})),keys.push.apply(keys,symbols);}return keys;}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=null!=arguments[i]?arguments[i]:{};i%2?ownKeys(Object(source),!0).forEach(function(key){_defineProperty(target,key,source[key]);}):Object.getOwnPropertyDescriptors?Object.defineProperties(target,Object.getOwnPropertyDescriptors(source)):ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key));});}return target;}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}function _createClass(Constructor,protoProps,staticProps){if(protoProps)_defineProperties(Constructor.prototype,protoProps);if(staticProps)_defineProperties(Constructor,staticProps);Object.defineProperty(Constructor,"prototype",{writable:false});return Constructor;}function _inherits(subClass,superClass){if(typeof superClass!=="function"&&superClass!==null){throw new TypeError("Super expression must either be null or a function");}subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,writable:true,configurable:true}});Object.defineProperty(subClass,"prototype",{writable:false});if(superClass)_setPrototypeOf(subClass,superClass);}function _setPrototypeOf(o,p){_setPrototypeOf=Object.setPrototypeOf?Object.setPrototypeOf.bind():function _setPrototypeOf(o,p){o.__proto__=p;return o;};return _setPrototypeOf(o,p);}function _createSuper(Derived){var hasNativeReflectConstruct=_isNativeReflectConstruct();return function _createSuperInternal(){var Super=_getPrototypeOf(Derived),result;if(hasNativeReflectConstruct){var NewTarget=_getPrototypeOf(this).constructor;result=Reflect.construct(Super,arguments,NewTarget);}else{result=Super.apply(this,arguments);}return _possibleConstructorReturn(this,result);};}function _possibleConstructorReturn(self,call){if(call&&(typeof call==="object"||typeof call==="function")){return call;}else if(call!==void 0){throw new TypeError("Derived constructors may only return object or undefined");}return _assertThisInitialized(self);}function _assertThisInitialized(self){if(self===void 0){throw new ReferenceError("this hasn't been initialised - super() hasn't been called");}return self;}function _isNativeReflectConstruct(){if(typeof Reflect==="undefined"||!Reflect.construct)return false;if(Reflect.construct.sham)return false;if(typeof Proxy==="function")return true;try{Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],function(){}));return true;}catch(e){return false;}}function _getPrototypeOf(o){_getPrototypeOf=Object.setPrototypeOf?Object.getPrototypeOf.bind():function _getPrototypeOf(o){return o.__proto__||Object.getPrototypeOf(o);};return _getPrototypeOf(o);}var SocketLoggerItem=function(_Item){_inherits(SocketLoggerItem,_Item);var _super=_createSuper(SocketLoggerItem);function SocketLoggerItem(props){var _this;_classCallCheck(this,SocketLoggerItem);_this=_super.call(this,props);var socket=props.context.publicSockets['asterism/developer-tools/log'];var _props$initialParams=props.initialParams,_props$initialParams$=_props$initialParams.historyLength,historyLength=_props$initialParams$===void 0?30:_props$initialParams$,_props$initialParams$2=_props$initialParams.logLevel,logLevel=_props$initialParams$2===void 0?1:_props$initialParams$2;var logsBuffer=[];_this.debouncer=(0,_debounce.default)(function(){_this.setState({logs:logsBuffer});},100,false);_this.state.logs=[];_this.state.needRefresh=false;var stackToLog=function stackToLog(log){logsBuffer.unshift(log);while(logsBuffer.length>historyLength){logsBuffer.pop();}_this.debouncer();};switch(`${logLevel}`){case'0':socket.on('log',function(args){stackToLog({level:0,args});});case'1':socket.on('info',function(args){stackToLog({level:1,args});});case'2':default:socket.on('warn',function(args){stackToLog({level:2,args});});case'3':socket.on('error',function(args){stackToLog({level:3,args});});}return _this;}_createClass(SocketLoggerItem,[{key:"receiveNewParams",value:function receiveNewParams(params){console.log('The Socket Logger item need a page refresh to take new params into account.');this.setState({params,needRefresh:true});}},{key:"render",value:function render(){var _this$state=this.state,logs=_this$state.logs,needRefresh=_this$state.needRefresh;var _this$props$context=this.props.context,mainState=_this$props$context.mainState,theme=_this$props$context.theme;var _mainState=mainState(),animationLevel=_mainState.animationLevel;return needRefresh?_react.default.createElement(_reactMaterialize.Button,{waves:animationLevel>=2?'light':null,className:(0,_classnames.default)(theme.actions.edition,'truncate fluid'),onClick:this.refreshPage.bind(this)},"Need a refresh",_react.default.createElement(_reactMaterialize.Icon,{left:true},"refresh")):_react.default.createElement("div",{className:(0,_classnames.default)(theme.actions.edition,'fluid'),style:_stylesCss.default.container},_react.default.createElement("div",{className:"thin-scrollable",style:_stylesCss.default.logScroller},logs.map(function(log,idx){var timestamp=new Date();timestamp.setTime(log.args[0]);timestamp=timestamp.toLocaleString();return _react.default.createElement(_reactMaterialize.Modal,{key:idx,header:timestamp,options:{inDuration:animationLevel>=2?300:0,outDuration:animationLevel>=2?300:0},trigger:_react.default.createElement("pre",{style:_objectSpread(_objectSpread({},_stylesCss.default.logRow),_stylesCss.default.logLevel(theme)[log.level])},_react.default.createElement("span",{style:_stylesCss.default.logRowInset},"[",timestamp,"]",_react.default.createElement("br",null),log.args[1]))},_react.default.createElement("pre",null,log.args.slice(1).join('\n')));})));}},{key:"refreshPage",value:function refreshPage(){window.location.reload();}},{key:"refresh",value:function refresh(){return Promise.resolve();}}]);return SocketLoggerItem;}(_asterismPluginLibrary.Item);var _default=SocketLoggerItem;exports.default=_default;