'use strict';Object.defineProperty(exports,"__esModule",{value:true});exports.default=void 0;var _asterismPluginLibrary=require("asterism-plugin-library");var _joi=_interopRequireDefault(require("joi"));var _uuid=_interopRequireDefault(require("uuid"));var _browser=_interopRequireDefault(require("../base-elements/browser"));function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);enumerableOnly&&(symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable;})),keys.push.apply(keys,symbols);}return keys;}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=null!=arguments[i]?arguments[i]:{};i%2?ownKeys(Object(source),!0).forEach(function(key){_defineProperty(target,key,source[key]);}):Object.getOwnPropertyDescriptors?Object.defineProperties(target,Object.getOwnPropertyDescriptors(source)):ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key));});}return target;}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}function _createClass(Constructor,protoProps,staticProps){if(protoProps)_defineProperties(Constructor.prototype,protoProps);if(staticProps)_defineProperties(Constructor,staticProps);Object.defineProperty(Constructor,"prototype",{writable:false});return Constructor;}var BrowserAction=_asterismPluginLibrary.Scenarii.BrowserAction,BrowserState=_asterismPluginLibrary.Scenarii.BrowserState,BrowserCondition=_asterismPluginLibrary.Scenarii.BrowserCondition,BrowserTrigger=_asterismPluginLibrary.Scenarii.BrowserTrigger,BrowserScenario=_asterismPluginLibrary.Scenarii.BrowserScenario;var _defaultSchema=_joi.default.object().keys({}).unknown(false);var _schemaSchema=_joi.default.object().schema();var ScenariiService=function(){function ScenariiService(_ref){var _this=this;var getServices=_ref.getServices,notificationManager=_ref.notificationManager,mainState=_ref.mainState,privateSocket=_ref.privateSocket,publicSockets=_ref.publicSockets;_classCallCheck(this,ScenariiService);this.privateSocket=privateSocket;this.actions={};this.states={};this.stateListeners={};this.conditions={};this.triggers={};this.scenarii={};this.scenarioListeners={};(0,_browser.default)().forEach(function(_ref2){var id=_ref2.id,browserClass=_ref2.browserClass,dataSchema=_ref2.dataSchema;_this.registerElementType(id,browserClass,dataSchema);});this.privateSocket.on('stateChanged',function(instance){(_this.stateListeners[instance.instanceId]||[]).forEach(function(listener){listener(instance.data.state,instance);});});this.privateSocket.on('scenarioActivationChanged',function(instance){(_this.scenarioListeners[instance.instanceId]||[]).forEach(function(listener){listener('scenarioActivationChanged',instance);});(_this.scenarioListeners['*']||[]).forEach(function(listener){listener('scenarioActivationChanged',instance);});});}_createClass(ScenariiService,[{key:"registerElementType",value:function registerElementType(id,BrowserClass){var _this2=this;var dataSchema=arguments.length>2&&arguments[2]!==undefined?arguments[2]:_defaultSchema;var TestClass=arguments.length>3&&arguments[3]!==undefined?arguments[3]:null;if(!dataSchema.isJoi){dataSchema=_joi.default.compile(dataSchema);}return _schemaSchema.validateAsync(dataSchema).then(function(){TestClass=TestClass||BrowserClass;switch(Object.getPrototypeOf(TestClass)&&Object.getPrototypeOf(TestClass).type.name){case BrowserAction.type.name:_this2.actions[id]={BrowserClass,dataSchema};break;case BrowserState.type.name:_this2.states[id]={BrowserClass,dataSchema};break;case BrowserCondition.type.name:_this2.conditions[id]={BrowserClass,dataSchema};break;case BrowserTrigger.type.name:_this2.triggers[id]={BrowserClass,dataSchema};break;case BrowserScenario.type.name:_this2.scenarii[id]={BrowserClass,dataSchema};break;default:if(!Object.getPrototypeOf(TestClass)){console.error(`You are trying to register a scenarii element '${BrowserClass.type.name}' that do not extends a base element!`);}else{return _this2.registerElementType(id,BrowserClass,dataSchema,Object.getPrototypeOf(TestClass));}}}).catch(function(error){console.error(`The dataSchema for ${id} you are trying to register browser side is incorrect`,error);});}},{key:"getActionTypes",value:function getActionTypes(){var _this3=this;return new Promise(function(resolve,reject){_this3.privateSocket.emit('getActionTypes',function(types){resolve(types.map(function(type){var BrowserClass=_this3.actions[type].BrowserClass;if(!BrowserClass.id){BrowserClass.id=type;Object.freeze(BrowserClass);}return BrowserClass;}));});setTimeout(reject,700);});}},{key:"getActionInstances",value:function getActionInstances(){var _this4=this;var parent=arguments.length>0&&arguments[0]!==undefined?arguments[0]:undefined;return new Promise(function(resolve,reject){_this4.privateSocket.emit('getActionInstances',parent,function(instances,error){if(error){console.error(error);return reject(null);}resolve(instances.map(function(_ref3){var typeId=_ref3.typeId,instanceId=_ref3.instanceId,data=_ref3.data,parent=_ref3.parent,group=_ref3.group;if(!_this4.actions[typeId]){console.warn(`Action instance of unknown type found: ${data.name}. Maybe you removed a plugin.`);var brokenInstance=_objectSpread(_objectSpread({},data),{},{instanceId,typeId,fullLabel:'BROKEN'});brokenInstance.delete=_this4.deleteActionInstance.bind(_this4,brokenInstance);return brokenInstance;}var BrowserClass=_this4.actions[typeId].BrowserClass;var instance=new BrowserClass(data);instance.instanceId=instanceId;instance.typeId=typeId;instance.parent=parent;instance.group=group;instance.save=_this4.setActionInstance.bind(_this4,instance);instance.delete=_this4.deleteActionInstance.bind(_this4,instance);return instance;}));});setTimeout(reject,2000);});}},{key:"getActionInstance",value:function getActionInstance(instanceId){var _this5=this;var asObject=arguments.length>1&&arguments[1]!==undefined?arguments[1]:false;return new Promise(function(resolve,reject){_this5.privateSocket.emit('getActionInstance',instanceId,function(instance,error){if(error){console.error(error);return reject(null);}if(instance&&asObject){var typeId=instance.typeId,_instanceId=instance.instanceId,data=instance.data,parent=instance.parent,group=instance.group;if(!_this5.actions[typeId]){console.warn('Action instance of unknown type found. Maybe you removed a plugin.');return null;}var BrowserClass=_this5.actions[typeId].BrowserClass;var instanceObject=new BrowserClass(data);instanceObject.instanceId=_instanceId;instanceObject.typeId=typeId;instanceObject.parent=parent;instanceObject.group=group;instanceObject.save=_this5.setActionInstance.bind(_this5,instanceObject);instanceObject.delete=_this5.deleteActionInstance.bind(_this5,instanceObject);resolve(instanceObject);}else{resolve(instance);}});setTimeout(reject,700);});}},{key:"createActionInstance",value:function createActionInstance(typeId){var _this6=this;return new Promise(function(resolve,reject){_this6.privateSocket.emit('createActionInstance',typeId,function(instanceData){var BrowserClass=_this6.actions[instanceData.typeId].BrowserClass;var instance=new BrowserClass(instanceData.data);instance.instanceId=instanceData.instanceId;instance.typeId=typeId;instance.save=_this6.setActionInstance.bind(_this6,instance);instance.delete=_this6.deleteActionInstance.bind(_this6,instance);resolve(instance);});setTimeout(reject,700);});}},{key:"setActionInstance",value:function setActionInstance(instance){var _this7=this;var parent=arguments.length>1&&arguments[1]!==undefined?arguments[1]:undefined;var group=arguments.length>2&&arguments[2]!==undefined?arguments[2]:undefined;var dataSchema=this.actions[instance.typeId].dataSchema;return dataSchema.validateAsync(instance.data).then(function(fixedData){instance.data=fixedData;if(parent===undefined){parent=instance.parent;}if(group===undefined){group=instance.group;}return new Promise(function(resolve,reject){_this7.privateSocket.emit('setActionInstance',instance,parent,group,function(success){if(success){return resolve(instance);}reject(success);});setTimeout(reject,2000);});});}},{key:"deleteActionInstance",value:function deleteActionInstance(instance){var _this8=this;return new Promise(function(resolve,reject){_this8.privateSocket.emit('deleteActionInstance',instance,function(success){if(success){return resolve(instance);}reject(success);});setTimeout(reject,2000);});}},{key:"executeActionInstance",value:function executeActionInstance(instance){var _this9=this;var timeout=arguments.length>1&&arguments[1]!==undefined?arguments[1]:10000;var executionId=arguments.length>2&&arguments[2]!==undefined?arguments[2]:null;if(!executionId){executionId=_uuid.default.v4();}return new Promise(function(resolve,reject){_this9.privateSocket.emit('executeActionInstance',instance,executionId,function(success){return resolve(success);});setTimeout(reject,timeout);});}},{key:"abortActionInstance",value:function abortActionInstance(instance,executionId){var _this10=this;var timeout=arguments.length>2&&arguments[2]!==undefined?arguments[2]:10000;return new Promise(function(resolve,reject){_this10.privateSocket.emit('abortActionInstance',instance,executionId,function(success){return resolve(success);});setTimeout(reject,timeout);});}},{key:"actionExecutionState",value:function actionExecutionState(executionId){var _this11=this;return new Promise(function(resolve,reject){_this11.privateSocket.emit('actionExecutionState',executionId,function(inProgress){return resolve(inProgress);});setTimeout(reject,700);});}},{key:"getStateTypes",value:function getStateTypes(){var _this12=this;return new Promise(function(resolve,reject){_this12.privateSocket.emit('getStateTypes',function(types){resolve(types.map(function(type){var BrowserClass=_this12.states[type].BrowserClass;if(!BrowserClass.id){BrowserClass.id=type;Object.freeze(BrowserClass);}return BrowserClass;}));});setTimeout(reject,700);});}},{key:"getStateInstances",value:function getStateInstances(){var _this13=this;return new Promise(function(resolve,reject){_this13.privateSocket.emit('getStateInstances',function(instances,error){if(error){console.error(error);return reject(null);}resolve(instances.map(function(_ref4){var typeId=_ref4.typeId,instanceId=_ref4.instanceId,data=_ref4.data;if(!_this13.states[typeId]){console.warn(`State instance of unknown type found: ${data.name}. Maybe you removed a plugin.`);var brokenInstance=_objectSpread(_objectSpread({},data),{},{instanceId,typeId,fullLabel:'BROKEN'});brokenInstance.delete=_this13.deleteStateInstance.bind(_this13,brokenInstance);return brokenInstance;}var BrowserClass=_this13.states[typeId].BrowserClass;var instance=new BrowserClass(data);instance.instanceId=instanceId;instance.typeId=typeId;instance.save=_this13.setStateInstance.bind(_this13,instance);instance.delete=_this13.deleteStateInstance.bind(_this13,instance);return instance;}));});setTimeout(reject,2000);});}},{key:"getStateInstance",value:function getStateInstance(instanceId){var _this14=this;var asObject=arguments.length>1&&arguments[1]!==undefined?arguments[1]:false;return new Promise(function(resolve,reject){_this14.privateSocket.emit('getStateInstance',instanceId,function(instance,error){if(error){console.error(error);return reject(null);}if(instance&&asObject){var typeId=instance.typeId,_instanceId2=instance.instanceId,data=instance.data,parent=instance.parent;if(!_this14.states[typeId]){console.warn('State instance of unknown type found. Maybe you removed a plugin.');return null;}var BrowserClass=_this14.states[typeId].BrowserClass;var instanceObject=new BrowserClass(data);instanceObject.instanceId=_instanceId2;instanceObject.typeId=typeId;instanceObject.parent=parent;instanceObject.save=_this14.setStateInstance.bind(_this14,instanceObject);instanceObject.delete=_this14.deleteStateInstance.bind(_this14,instanceObject);resolve(instanceObject);}else{resolve(instance);}});setTimeout(reject,700);});}},{key:"createStateInstance",value:function createStateInstance(typeId){var _this15=this;return new Promise(function(resolve,reject){_this15.privateSocket.emit('createStateInstance',typeId,function(instanceData){var BrowserClass=_this15.states[instanceData.typeId].BrowserClass;var instance=new BrowserClass(instanceData.data);instance.instanceId=instanceData.instanceId;instance.typeId=typeId;instance.save=_this15.setStateInstance.bind(_this15,instance);instance.delete=_this15.deleteStateInstance.bind(_this15,instance);resolve(instance);});setTimeout(reject,700);});}},{key:"setStateInstance",value:function setStateInstance(instance){var _this16=this;var dataSchema=this.states[instance.typeId].dataSchema;return dataSchema.validateAsync(instance.data).then(function(fixedData){instance.data=fixedData;return new Promise(function(resolve,reject){_this16.privateSocket.emit('setStateInstance',instance,function(success){if(success){return resolve(instance);}reject(success);});setTimeout(reject,2000);});});}},{key:"deleteStateInstance",value:function deleteStateInstance(instance){var _this17=this;return new Promise(function(resolve,reject){_this17.privateSocket.emit('deleteStateInstance',instance,function(success){if(success){return resolve(instance);}reject(success);});setTimeout(reject,2000);});}},{key:"addStateListener",value:function addStateListener(instance,listener){listener.stateListenerId=_uuid.default.v4();this.stateListeners[instance.instanceId]=this.stateListeners[instance.instanceId]||[];this.stateListeners[instance.instanceId].push(listener);return listener.stateListenerId;}},{key:"removeStateListener",value:function removeStateListener(instance,listenerId){this.stateListeners[instance.instanceId]=(this.stateListeners[instance.instanceId]||[]).filter(function(listener){return listener.stateListenerId===listenerId;});}},{key:"setStateState",value:function setStateState(instance,newStateValue){var _this18=this;return new Promise(function(resolve,reject){_this18.privateSocket.emit('setStateState',instance,newStateValue,function(success,error){if(success){return resolve(instance);}reject(error);});setTimeout(reject,2000);});}},{key:"getConditionTypes",value:function getConditionTypes(){var _this19=this;return new Promise(function(resolve,reject){_this19.privateSocket.emit('getConditionTypes',function(types){resolve(types.map(function(type){var BrowserClass=_this19.conditions[type].BrowserClass;if(!BrowserClass.id){BrowserClass.id=type;Object.freeze(BrowserClass);}return BrowserClass;}));});setTimeout(reject,700);});}},{key:"getConditionInstances",value:function getConditionInstances(){var _this20=this;var parent=arguments.length>0&&arguments[0]!==undefined?arguments[0]:undefined;return new Promise(function(resolve,reject){_this20.privateSocket.emit('getConditionInstances',parent,function(instances,error){if(error){console.error(error);return reject(null);}resolve(instances.map(function(_ref5){var typeId=_ref5.typeId,instanceId=_ref5.instanceId,data=_ref5.data,parent=_ref5.parent,group=_ref5.group;if(!_this20.conditions[typeId]){console.warn(`Condition instance of unknown type found: ${data.name}. Maybe you removed a plugin.`);var brokenInstance=_objectSpread(_objectSpread({},data),{},{instanceId,typeId,fullLabel:'BROKEN'});brokenInstance.delete=_this20.deleteConditionInstance.bind(_this20,brokenInstance);return brokenInstance;}var BrowserClass=_this20.conditions[typeId].BrowserClass;var instance=new BrowserClass(data);instance.instanceId=instanceId;instance.typeId=typeId;instance.parent=parent;instance.group=group;instance.save=_this20.setConditionInstance.bind(_this20,instance);instance.delete=_this20.deleteConditionInstance.bind(_this20,instance);return instance;}));});setTimeout(reject,2000);});}},{key:"getConditionInstance",value:function getConditionInstance(instanceId){var _this21=this;var asObject=arguments.length>1&&arguments[1]!==undefined?arguments[1]:false;return new Promise(function(resolve,reject){_this21.privateSocket.emit('getConditionInstance',instanceId,function(instance,error){if(error){console.error(error);return reject(null);}if(instance&&asObject){var typeId=instance.typeId,_instanceId3=instance.instanceId,data=instance.data,parent=instance.parent,group=instance.group;if(!_this21.conditions[typeId]){console.warn('Condition instance of unknown type found. Maybe you removed a plugin.');return null;}var BrowserClass=_this21.conditions[typeId].BrowserClass;var instanceObject=new BrowserClass(data);instanceObject.instanceId=_instanceId3;instanceObject.typeId=typeId;instanceObject.parent=parent;instanceObject.group=group;instanceObject.save=_this21.setConditionInstance.bind(_this21,instanceObject);instanceObject.delete=_this21.deleteConditionInstance.bind(_this21,instanceObject);resolve(instanceObject);}else{resolve(instance);}});setTimeout(reject,700);});}},{key:"createConditionInstance",value:function createConditionInstance(typeId){var _this22=this;return new Promise(function(resolve,reject){_this22.privateSocket.emit('createConditionInstance',typeId,function(instanceData){var BrowserClass=_this22.conditions[instanceData.typeId].BrowserClass;var instance=new BrowserClass(instanceData.data);instance.instanceId=instanceData.instanceId;instance.typeId=typeId;instance.save=_this22.setConditionInstance.bind(_this22,instance);instance.delete=_this22.deleteConditionInstance.bind(_this22,instance);resolve(instance);});setTimeout(reject,700);});}},{key:"setConditionInstance",value:function setConditionInstance(instance){var _this23=this;var parent=arguments.length>1&&arguments[1]!==undefined?arguments[1]:undefined;var group=arguments.length>2&&arguments[2]!==undefined?arguments[2]:undefined;var dataSchema=this.conditions[instance.typeId].dataSchema;return dataSchema.validateAsync(instance.data).then(function(fixedData){instance.data=fixedData;if(parent===undefined){parent=instance.parent;}if(group===undefined){group=instance.group;}return new Promise(function(resolve,reject){_this23.privateSocket.emit('setConditionInstance',instance,parent,group,function(success){if(success){return resolve(instance);}reject(success);});setTimeout(reject,2000);});});}},{key:"deleteConditionInstance",value:function deleteConditionInstance(instance){var _this24=this;return new Promise(function(resolve,reject){_this24.privateSocket.emit('deleteConditionInstance',instance,function(success){if(success){return resolve(instance);}reject(success);});setTimeout(reject,2000);});}},{key:"testConditionInstance",value:function testConditionInstance(instance){var _this25=this;var timeout=arguments.length>1&&arguments[1]!==undefined?arguments[1]:10000;return new Promise(function(resolve,reject){_this25.privateSocket.emit('testConditionInstance',instance,function(success){return resolve(success);});setTimeout(reject,timeout);});}},{key:"getTriggerTypes",value:function getTriggerTypes(){var _this26=this;return new Promise(function(resolve,reject){_this26.privateSocket.emit('getTriggerTypes',function(types){resolve(types.map(function(type){var BrowserClass=_this26.triggers[type].BrowserClass;if(!BrowserClass.id){BrowserClass.id=type;Object.freeze(BrowserClass);}return BrowserClass;}));});setTimeout(reject,700);});}},{key:"getTriggerInstances",value:function getTriggerInstances(){var _this27=this;var parent=arguments.length>0&&arguments[0]!==undefined?arguments[0]:undefined;return new Promise(function(resolve,reject){_this27.privateSocket.emit('getTriggerInstances',parent,function(instances,error){if(error){console.error(error);return reject(null);}resolve(instances.map(function(_ref6){var typeId=_ref6.typeId,instanceId=_ref6.instanceId,data=_ref6.data,parent=_ref6.parent,group=_ref6.group;if(!_this27.triggers[typeId]){console.warn(`Trigger instance of unknown type found: ${data.name}. Maybe you removed a plugin.`);var brokenInstance=_objectSpread(_objectSpread({},data),{},{instanceId,typeId,fullLabel:'BROKEN'});brokenInstance.delete=_this27.deleteTriggerInstance.bind(_this27,brokenInstance);return brokenInstance;}var BrowserClass=_this27.triggers[typeId].BrowserClass;var instance=new BrowserClass(data);instance.instanceId=instanceId;instance.typeId=typeId;instance.parent=parent;instance.group=group;instance.save=_this27.setTriggerInstance.bind(_this27,instance);instance.delete=_this27.deleteTriggerInstance.bind(_this27,instance);return instance;}));});setTimeout(reject,2000);});}},{key:"getTriggerInstance",value:function getTriggerInstance(instanceId){var _this28=this;var asObject=arguments.length>1&&arguments[1]!==undefined?arguments[1]:false;return new Promise(function(resolve,reject){_this28.privateSocket.emit('getTriggerInstance',instanceId,function(instance,error){if(error){console.error(error);return reject(null);}if(instance&&asObject){var typeId=instance.typeId,_instanceId4=instance.instanceId,data=instance.data,parent=instance.parent,group=instance.group;if(!_this28.triggers[typeId]){console.warn('Trigger instance of unknown type found. Maybe you removed a plugin.');return reject(null);}var BrowserClass=_this28.triggers[typeId].BrowserClass;var instanceObject=new BrowserClass(data);instanceObject.instanceId=_instanceId4;instanceObject.typeId=typeId;instanceObject.parent=parent;instanceObject.group=group;instanceObject.save=_this28.setTriggerInstance.bind(_this28,instanceObject);instanceObject.delete=_this28.deleteTriggerInstance.bind(_this28,instanceObject);resolve(instanceObject);}else{resolve(instance);}});setTimeout(reject,700);});}},{key:"createTriggerInstance",value:function createTriggerInstance(typeId){var _this29=this;return new Promise(function(resolve,reject){_this29.privateSocket.emit('createTriggerInstance',typeId,function(instanceData){var BrowserClass=_this29.triggers[instanceData.typeId].BrowserClass;var instance=new BrowserClass(instanceData.data);instance.instanceId=instanceData.instanceId;instance.typeId=typeId;instance.save=_this29.setTriggerInstance.bind(_this29,instance);instance.delete=_this29.deleteTriggerInstance.bind(_this29,instance);resolve(instance);});setTimeout(reject,700);});}},{key:"setTriggerInstance",value:function setTriggerInstance(instance){var _this30=this;var parent=arguments.length>1&&arguments[1]!==undefined?arguments[1]:undefined;var group=arguments.length>2&&arguments[2]!==undefined?arguments[2]:undefined;var dataSchema=this.triggers[instance.typeId].dataSchema;return dataSchema.validateAsync(instance.data).then(function(fixedData){instance.data=fixedData;if(parent===undefined){parent=instance.parent;}if(group===undefined){group=instance.group;}return new Promise(function(resolve,reject){_this30.privateSocket.emit('setTriggerInstance',instance,parent,group,function(success){if(success){return resolve(instance);}reject(success);});setTimeout(reject,2000);});});}},{key:"deleteTriggerInstance",value:function deleteTriggerInstance(instance){var _this31=this;return new Promise(function(resolve,reject){_this31.privateSocket.emit('deleteTriggerInstance',instance,function(success){if(success){return resolve(instance);}reject(success);});setTimeout(reject,2000);});}},{key:"getScenarioTypes",value:function getScenarioTypes(){var _this32=this;return new Promise(function(resolve,reject){_this32.privateSocket.emit('getScenarioTypes',function(types){resolve(types.map(function(type){var BrowserClass=_this32.scenarii[type].BrowserClass;if(!BrowserClass.id){BrowserClass.id=type;Object.freeze(BrowserClass);}return BrowserClass;}));});setTimeout(reject,700);});}},{key:"getScenarioInstances",value:function getScenarioInstances(){var _this33=this;return new Promise(function(resolve,reject){_this33.privateSocket.emit('getScenarioInstances',function(instances,error){if(error){console.error(error);return reject(null);}resolve(instances.map(function(_ref7){var typeId=_ref7.typeId,instanceId=_ref7.instanceId,data=_ref7.data,group=_ref7.group;if(!_this33.scenarii[typeId]){console.warn(`Scenario instance of unknown type found: ${data.name}. Maybe you removed a plugin.`);var brokenInstance=_objectSpread(_objectSpread({},data),{},{instanceId,typeId,fullLabel:'BROKEN'});brokenInstance.delete=_this33.deleteScenarioInstance.bind(_this33,brokenInstance);return brokenInstance;}var BrowserClass=_this33.scenarii[typeId].BrowserClass;var instance=new BrowserClass(data);instance.instanceId=instanceId;instance.typeId=typeId;instance.group=group;instance.save=_this33.setScenarioInstance.bind(_this33,instance);instance.delete=_this33.deleteScenarioInstance.bind(_this33,instance);return instance;}));});setTimeout(reject,2000);});}},{key:"getScenarioInstance",value:function getScenarioInstance(instanceId){var _this34=this;var asObject=arguments.length>1&&arguments[1]!==undefined?arguments[1]:false;return new Promise(function(resolve,reject){_this34.privateSocket.emit('getScenarioInstance',instanceId,function(instance,error){if(error){console.error(error);return reject(null);}if(instance&&asObject){var typeId=instance.typeId,_instanceId5=instance.instanceId,data=instance.data,group=instance.group;if(!_this34.scenarii[typeId]){console.warn('Scenario instance of unknown type found. Maybe you removed a plugin.');return reject(null);}var BrowserClass=_this34.scenarii[typeId].BrowserClass;var instanceObject=new BrowserClass(data);instanceObject.instanceId=_instanceId5;instanceObject.typeId=typeId;instanceObject.group=group;instanceObject.save=_this34.setScenarioInstance.bind(_this34,instanceObject);instanceObject.delete=_this34.deleteScenarioInstance.bind(_this34,instanceObject);instanceObject.setActivation=_this34.setActivationScenarioInstance.bind(_this34,instanceObject);resolve(instanceObject);}else{resolve(instance);}});setTimeout(reject,700);});}},{key:"createScenarioInstance",value:function createScenarioInstance(typeId){var _this35=this;return new Promise(function(resolve,reject){_this35.privateSocket.emit('createScenarioInstance',typeId,function(instanceData){var BrowserClass=_this35.scenarii[instanceData.typeId].BrowserClass;var instance=new BrowserClass(instanceData.data);instance.instanceId=instanceData.instanceId;instance.typeId=typeId;instance.save=_this35.setScenarioInstance.bind(_this35,instance);instance.delete=_this35.deleteScenarioInstance.bind(_this35,instance);resolve(instance);});setTimeout(reject,700);});}},{key:"setScenarioInstance",value:function setScenarioInstance(instance){var _this36=this;var _=arguments.length>1&&arguments[1]!==undefined?arguments[1]:undefined;var group=arguments.length>2&&arguments[2]!==undefined?arguments[2]:undefined;var dataSchema=this.scenarii[instance.typeId].dataSchema;return dataSchema.validateAsync(instance.data).then(function(fixedData){instance.data=fixedData;if(group===undefined){group=instance.group;}return new Promise(function(resolve,reject){_this36.privateSocket.emit('setScenarioInstance',instance,group,function(success){if(success){return resolve(instance);}reject(success);});setTimeout(reject,2000);});});}},{key:"deleteScenarioInstance",value:function deleteScenarioInstance(instance){var _this37=this;return new Promise(function(resolve,reject){_this37.privateSocket.emit('deleteScenarioInstance',instance,function(success){if(success){return resolve(instance);}reject(success);});setTimeout(reject,2000);});}},{key:"forceTriggerScenarioInstance",value:function forceTriggerScenarioInstance(instance){var _this38=this;var timeout=arguments.length>1&&arguments[1]!==undefined?arguments[1]:10000;var executionId=arguments.length>2&&arguments[2]!==undefined?arguments[2]:null;if(!executionId){executionId=_uuid.default.v4();}return new Promise(function(resolve,reject){_this38.privateSocket.emit('forceTriggerScenarioInstance',instance,executionId,function(success){return resolve(success);});setTimeout(reject,timeout);});}},{key:"forceAbortScenarioInstance",value:function forceAbortScenarioInstance(instance,executionId){var _this39=this;var timeout=arguments.length>2&&arguments[2]!==undefined?arguments[2]:10000;if(!executionId){executionId=_uuid.default.v4();}return new Promise(function(resolve,reject){_this39.privateSocket.emit('forceAbortScenarioInstance',instance,executionId,function(success){return resolve(success);});setTimeout(reject,timeout);});}},{key:"setActivationScenarioInstance",value:function setActivationScenarioInstance(instance){var _this40=this;var activate=arguments.length>1&&arguments[1]!==undefined?arguments[1]:undefined;var timeout=arguments.length>2&&arguments[2]!==undefined?arguments[2]:2000;if(activate===undefined){activate=!instance.data.activated;}return new Promise(function(resolve,reject){_this40.privateSocket.emit('setActivationScenarioInstance',instance,activate,function(success){if(success){return resolve(instance);}reject(success);});setTimeout(reject,timeout);});}},{key:"addScenariiListener",value:function addScenariiListener(listener){var instance=arguments.length>1&&arguments[1]!==undefined?arguments[1]:{instanceId:'*'};listener.scenarioListenerId=_uuid.default.v4();this.scenarioListeners[instance.instanceId]=this.scenarioListeners[instance.instanceId]||[];this.scenarioListeners[instance.instanceId].push(listener);return listener.scenarioListeners;}},{key:"removeScenariiListener",value:function removeScenariiListener(listenerId){var instance=arguments.length>1&&arguments[1]!==undefined?arguments[1]:{instanceId:'*'};this.scenarioListeners[instance.instanceId]=(this.scenarioListeners[instance.instanceId]||[]).filter(function(listener){return listener.scenarioListenerId===listenerId;});}}]);return ScenariiService;}();exports.default=ScenariiService;