'use strict';Object.defineProperty(exports,"__esModule",{value:true});exports.default=void 0;var _express=_interopRequireDefault(require("express"));var _path=_interopRequireDefault(require("path"));var _cookieParser=_interopRequireDefault(require("cookie-parser"));var _uuid=_interopRequireDefault(require("uuid"));var _nodeForge=_interopRequireDefault(require("node-forge"));function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}function _createClass(Constructor,protoProps,staticProps){if(protoProps)_defineProperties(Constructor.prototype,protoProps);if(staticProps)_defineProperties(Constructor,staticProps);Object.defineProperty(Constructor,"prototype",{writable:false});return Constructor;}var cookieSecret=_uuid.default.v4();var tokenTTL=12*3600000;var longTokenTTL=tokenTTL*24*2;var AuthenticationService=function(){function AuthenticationService(dataHandler){_classCallCheck(this,AuthenticationService);this.dataHandler=dataHandler;this.volatileAccessTokens={admin:[],readOnly:[]};var keys=_nodeForge.default.pki.rsa.generateKeyPair({bits:1024,e:0x10001});this.passwordEncoder=_nodeForge.default.pki.publicKeyToPem(keys.publicKey);this.passwordDecoder=keys.privateKey;}_createClass(AuthenticationService,[{key:"pushTemporaryAccessToken",value:function pushTemporaryAccessToken(el,scope,isAppInstalled){var _this=this;this.volatileAccessTokens[scope].push(el);setTimeout(function(){_this.volatileAccessTokens[scope]=_this.volatileAccessTokens[scope].filter(function(e){return e!==el;});},isAppInstalled?longTokenTTL:tokenTTL);}},{key:"isAuthenticationEnabled",value:function isAuthenticationEnabled(){return this.dataHandler.getItem('security-admin').then(function(p){return!!p;});}},{key:"testPassword",value:function testPassword(encodedPassword){var _this2=this;try{var password=_nodeForge.default.util.decodeUtf8(this.passwordDecoder.decrypt(_nodeForge.default.util.hexToBytes(encodedPassword)));password=password.split('$')[0];return this.dataHandler.getItem('security-admin').then(function(securityAdmin){if(securityAdmin&&securityAdmin.pattern===password){return'admin';}return _this2.dataHandler.getItem('security-readOnly').then(function(securityReadOnly){if(securityReadOnly&&securityReadOnly.pattern===password){return'readOnly';}return false;});});}catch(error){console.error(error);return Promise.resolve(false);}}},{key:"middlewares",value:function middlewares(){var _this3=this;var redirectIfNotAuth=function redirectIfNotAuth(){var router=_express.default.Router();router.use(_express.default.urlencoded({extended:true}));router.use((0,_cookieParser.default)(cookieSecret));router.post('/login',function(req,res,next){var encodedPassword=req.body.password;var isAppInstalled=req.body.pwaInstalled==='1';if(!encodedPassword){return res.status(400).json({});}return _this3.testPassword(encodedPassword).then(function(scope){if(!scope){return res.status(400).json({});}res.clearCookie('admin-access-token');res.clearCookie('readOnly-access-token');res.clearCookie('password-encoder');var accessToken=_uuid.default.v4();_this3.pushTemporaryAccessToken(accessToken,scope,isAppInstalled);res.cookie(`${scope}-access-token`,accessToken,{maxAge:isAppInstalled?longTokenTTL:tokenTTL,signed:true});res.json({url:decodeURIComponent(req.query.then||'/')});});});router.all('/login',function(req,res){return _this3.isAuthenticationEnabled().then(function(enabled){if(!enabled){return res.redirect(decodeURIComponent(req.query.then||'/'));}res.clearCookie('admin-access-token');res.clearCookie('readOnly-access-token');res.clearCookie('password-encoder');res.cookie('password-encoder',_this3.passwordEncoder,{maxAge:180*60000,signed:false});res.sendFile(_path.default.join(__dirname,'..','..','assets',process.env.NODE_ENV||'development','login.html'));});});router.all('*',function(req,res,next){if(req.url.startsWith('/favicon.ico')||req.url.startsWith('/certificate/')||req.url.startsWith('/manifest.json')||req.url.startsWith('/offline.html')||req.url.startsWith('/asterism-scenarii/trigger/')){return next();}if(req.url.startsWith('/__webpack_hmr')||req.url.startsWith('/socket.io/')){return next();}return _this3.isAuthenticationEnabled().then(function(enabled){if(!enabled){return next();}if(_this3.volatileAccessTokens.admin.includes(req.signedCookies['admin-access-token'])){return next();}if(_this3.volatileAccessTokens.readOnly.includes(req.signedCookies['readOnly-access-token'])){if(req.url==='/data/asterism/security-admin'){return res.status(403).end();}return next();}if(req.url.startsWith('/data/')||req.url.startsWith('/data-path/')){return next();}return res.redirect(`/login?then=${encodeURIComponent(req.url)}`);});});return router;};var middlewares={'/':redirectIfNotAuth()};return middlewares;}}]);return AuthenticationService;}();exports.default=AuthenticationService;