'use strict';Object.defineProperty(exports,"__esModule",{value:true});exports.default=void 0;var _nosql=_interopRequireDefault(require("nosql"));var _path=_interopRequireDefault(require("path"));function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function _toConsumableArray(arr){return _arrayWithoutHoles(arr)||_iterableToArray(arr)||_unsupportedIterableToArray(arr)||_nonIterableSpread();}function _nonIterableSpread(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");}function _unsupportedIterableToArray(o,minLen){if(!o)return;if(typeof o==="string")return _arrayLikeToArray(o,minLen);var n=Object.prototype.toString.call(o).slice(8,-1);if(n==="Object"&&o.constructor)n=o.constructor.name;if(n==="Map"||n==="Set")return Array.from(o);if(n==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return _arrayLikeToArray(o,minLen);}function _iterableToArray(iter){if(typeof Symbol!=="undefined"&&iter[Symbol.iterator]!=null||iter["@@iterator"]!=null)return Array.from(iter);}function _arrayWithoutHoles(arr){if(Array.isArray(arr))return _arrayLikeToArray(arr);}function _arrayLikeToArray(arr,len){if(len==null||len>arr.length)len=arr.length;for(var i=0,arr2=new Array(len);i<len;i++){arr2[i]=arr[i];}return arr2;}function ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);enumerableOnly&&(symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable;})),keys.push.apply(keys,symbols);}return keys;}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=null!=arguments[i]?arguments[i]:{};i%2?ownKeys(Object(source),!0).forEach(function(key){_defineProperty(target,key,source[key]);}):Object.getOwnPropertyDescriptors?Object.defineProperties(target,Object.getOwnPropertyDescriptors(source)):ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key));});}return target;}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}function _createClass(Constructor,protoProps,staticProps){if(protoProps)_defineProperties(Constructor.prototype,protoProps);if(staticProps)_defineProperties(Constructor,staticProps);Object.defineProperty(Constructor,"prototype",{writable:false});return Constructor;}var _dbs=[];var DataHandler=function(){function DataHandler(prefix,logger){_classCallCheck(this,DataHandler);this.prefix=prefix;this.logger=logger;if(!_dbs[prefix]){_dbs[prefix]=_nosql.default.load(_path.default.resolve('.','var',prefix+'.nosql'));}this.db=_dbs[prefix];}_createClass(DataHandler,[{key:"getItem",value:function getItem(keyName,forcePrefix,path){var _this=this;var db=forcePrefix?_dbs[forcePrefix]:this.db;return new Promise(function(resolve,reject){db.find().make(function(builder){builder.first().and().where('keyName',keyName).where('path',path||false).end().callback(function(err,result){if(err){_this.logger.error('DATA GET ERROR',err);return reject(err);}return resolve(result&&result.item||undefined);});});});}},{key:"setItem",value:function setItem(keyName,value,forcePrefix){var _this2=this;var path=arguments.length>3&&arguments[3]!==undefined?arguments[3]:false;if(value===undefined){return this.removeItem(keyName,forcePrefix,path);}else{var db=forcePrefix?_dbs[forcePrefix]:this.db;return new Promise(function(resolve,reject){var toUpdate={item:value,keyName,path,update:Date.now(),select:Date.now()};var toInsert=_objectSpread(_objectSpread({},toUpdate),{},{creation:Date.now()});db.modify(toUpdate,toInsert).make(function(builder){builder.first().and().where('keyName',keyName).where('path',path||false).end().callback(function(err,count){if(err){_this2.logger.error('DATA PUT ERROR',err);return reject(err);}return resolve(count===1);});});});}}},{key:"removeItem",value:function removeItem(keyName,forcePrefix,path){var _this3=this;var db=forcePrefix?_dbs[forcePrefix]:this.db;return new Promise(function(resolve,reject){db.remove().make(function(builder){builder.first().and().where('keyName',keyName).where('path',path||false).end().callback(function(err,count){if(err){_this3.logger.error('DATA DELETE ERROR',err);return reject(err);}return resolve(count===1);});});});}},{key:"listItems",value:function listItems(filter,forcePrefix,path){var _this4=this;var db=forcePrefix?_dbs[forcePrefix]:this.db;return new Promise(function(resolve,reject){db.find().make(function(builder){builder=builder.and().where('path',path||false).filter(filter).end().callback(function(err,result){if(err){_this4.logger.error('DATA GET ERROR',err);return reject(err);}return resolve(result||[]);});});});}},{key:"getLastItemByT",value:function getLastItemByT(){var _this5=this;var quantity=arguments.length>0&&arguments[0]!==undefined?arguments[0]:1;var forcePrefix=arguments.length>1?arguments[1]:undefined;var db=forcePrefix?_dbs[forcePrefix]:this.db;return new Promise(function(resolve,reject){db.find().make(function(builder){builder.sort('t',true).skip(0).take(+quantity).callback(function(err,result){if(err){_this5.logger.error('DATA GET ERROR',err);return reject(err);}return resolve(result||undefined);});});});}},{key:"getItemsAfterDate",value:function getItemsAfterDate(){var _this6=this;var timestamp=arguments.length>0&&arguments[0]!==undefined?arguments[0]:Date.now()-24*3600000;var forcePrefix=arguments.length>1?arguments[1]:undefined;var fields=arguments.length>2&&arguments[2]!==undefined?arguments[2]:null;var limit=arguments.length>3&&arguments[3]!==undefined?arguments[3]:100;var db=forcePrefix?_dbs[forcePrefix]:this.db;return new Promise(function(resolve,reject){db.find().make(function(builder){if(fields&&fields.length){var _builder;builder=(_builder=builder).fields.apply(_builder,_toConsumableArray(fields).concat(['t']));}builder.sort('t',true).where('t','>=',timestamp).take(+limit||100).callback(function(err,result){if(err){_this6.logger.error('DATA GET ERROR',err);return reject(err);}return resolve(result.reverse()||undefined);});});});}},{key:"getItemsByParentId",value:function getItemsByParentId(parentId,forcePrefix){var _this7=this;var scanlimit=arguments.length>2&&arguments[2]!==undefined?arguments[2]:1000;var db=forcePrefix?_dbs[forcePrefix]:this.db;return new Promise(function(resolve,reject){db.find().make(function(builder){builder.take(+scanlimit||1000).callback(function(err,result){if(err){_this7.logger.error('DATA GET ERROR',err);return reject(err);}var filtered=result===null||result===void 0?void 0:result.filter(function(e){return e.item.parent===parentId;});return resolve(filtered||[]);});});});}},{key:"createSubStorage",value:function createSubStorage(prefix){return new DataHandler(`${this.prefix}_${prefix}`,this.logger);}}]);return DataHandler;}();exports.default=DataHandler;