'use strict';Object.defineProperty(exports,"__esModule",{value:true});exports.default=void 0;var _bodyParser=_interopRequireDefault(require("body-parser"));require("colors");var _events=_interopRequireDefault(require("events"));var _express=_interopRequireDefault(require("express"));var _fs=_interopRequireDefault(require("fs"));var _https=_interopRequireDefault(require("https"));var _expressIpfilter=require("express-ipfilter");var _path4=_interopRequireDefault(require("path"));var _sha=_interopRequireDefault(require("sha1"));var _tsort=_interopRequireDefault(require("tsort"));var _assetsService=_interopRequireDefault(require("./assets-service"));var _authenticationService=_interopRequireDefault(require("./authentication-service"));var _dataHandler=_interopRequireDefault(require("./data-handler"));var _dataService=_interopRequireDefault(require("./data-service"));var _logger=_interopRequireDefault(require("./logger"));var _notificationService=_interopRequireDefault(require("./notification-service"));var _pluginManifest=_interopRequireDefault(require("./schemas/plugin-manifest"));var _socketService=_interopRequireDefault(require("./socket-service"));var _webAppService=_interopRequireDefault(require("./web-app-service"));var _package=require("../../package.json");function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function _toConsumableArray(arr){return _arrayWithoutHoles(arr)||_iterableToArray(arr)||_unsupportedIterableToArray(arr)||_nonIterableSpread();}function _nonIterableSpread(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");}function _unsupportedIterableToArray(o,minLen){if(!o)return;if(typeof o==="string")return _arrayLikeToArray(o,minLen);var n=Object.prototype.toString.call(o).slice(8,-1);if(n==="Object"&&o.constructor)n=o.constructor.name;if(n==="Map"||n==="Set")return Array.from(o);if(n==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return _arrayLikeToArray(o,minLen);}function _iterableToArray(iter){if(typeof Symbol!=="undefined"&&iter[Symbol.iterator]!=null||iter["@@iterator"]!=null)return Array.from(iter);}function _arrayWithoutHoles(arr){if(Array.isArray(arr))return _arrayLikeToArray(arr);}function _arrayLikeToArray(arr,len){if(len==null||len>arr.length)len=arr.length;for(var i=0,arr2=new Array(len);i<len;i++){arr2[i]=arr[i];}return arr2;}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}function _createClass(Constructor,protoProps,staticProps){if(protoProps)_defineProperties(Constructor.prototype,protoProps);if(staticProps)_defineProperties(Constructor,staticProps);Object.defineProperty(Constructor,"prototype",{writable:false});return Constructor;}function _inherits(subClass,superClass){if(typeof superClass!=="function"&&superClass!==null){throw new TypeError("Super expression must either be null or a function");}subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,writable:true,configurable:true}});Object.defineProperty(subClass,"prototype",{writable:false});if(superClass)_setPrototypeOf(subClass,superClass);}function _setPrototypeOf(o,p){_setPrototypeOf=Object.setPrototypeOf?Object.setPrototypeOf.bind():function _setPrototypeOf(o,p){o.__proto__=p;return o;};return _setPrototypeOf(o,p);}function _createSuper(Derived){var hasNativeReflectConstruct=_isNativeReflectConstruct();return function _createSuperInternal(){var Super=_getPrototypeOf(Derived),result;if(hasNativeReflectConstruct){var NewTarget=_getPrototypeOf(this).constructor;result=Reflect.construct(Super,arguments,NewTarget);}else{result=Super.apply(this,arguments);}return _possibleConstructorReturn(this,result);};}function _possibleConstructorReturn(self,call){if(call&&(typeof call==="object"||typeof call==="function")){return call;}else if(call!==void 0){throw new TypeError("Derived constructors may only return object or undefined");}return _assertThisInitialized(self);}function _assertThisInitialized(self){if(self===void 0){throw new ReferenceError("this hasn't been initialised - super() hasn't been called");}return self;}function _isNativeReflectConstruct(){if(typeof Reflect==="undefined"||!Reflect.construct)return false;if(Reflect.construct.sham)return false;if(typeof Proxy==="function")return true;try{Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],function(){}));return true;}catch(e){return false;}}function _getPrototypeOf(o){_getPrototypeOf=Object.setPrototypeOf?Object.getPrototypeOf.bind():function _getPrototypeOf(o){return o.__proto__||Object.getPrototypeOf(o);};return _getPrototypeOf(o);}var Server=function(_EventEmitter){_inherits(Server,_EventEmitter);var _super=_createSuper(Server);function Server(){var _this;var webPushParams=arguments.length>0&&arguments[0]!==undefined?arguments[0]:null;_classCallCheck(this,Server);_this=_super.call(this);_this.webPushServerUrl=webPushParams&&webPushParams.serverUrl;console.log(`Asterism booting on server '${_this.webPushServerUrl||'localhost'}'... (${_package.version})`.cyan);_this.express=(0,_express.default)();_this.pluginVersions={};_this.middlewares=[];_this.pluginServices=[];_this.serverPrivateSockets=[];_this.serverPublicSockets=[];_this.browserSettingsPanels=[];_this.browserEditPanels=[];_this.browserItemFactories=[];_this.browserStyles=[];_this.browserWebpackIncludeMask=[];_this.browserServices=[];_this.express.use(_bodyParser.default.json());console.log('Mounting notification & socket services...'.grey);_this.notificationService=new _notificationService.default();_this.express.use(_this.notificationService.router());_this.socketService=new _socketService.default(_this.notificationService);console.log('Mounting event logger service and data handler...'.grey);_this.logger=new _logger.default(_this.socketService);_this.dataHandler=new _dataHandler.default('asterism',_this.logger);_this.notificationService.setWebPush(_this.dataHandler,webPushParams);console.log('Adding assets service middleware...'.grey);_this.assetsService=new _assetsService.default();Object.entries(_this.assetsService.middlewares()).forEach(function(middleware){var _this$express;return(_this$express=_this.express).use.apply(_this$express,_toConsumableArray(middleware));});console.log('Adding authentication service middleware...'.grey);_this.authenticationService=new _authenticationService.default(_this.dataHandler);Object.entries(_this.authenticationService.middlewares()).forEach(function(middleware){var _this$express2;return(_this$express2=_this.express).use.apply(_this$express2,_toConsumableArray(middleware));});console.log('Adding data service routes...'.grey);_this.dataService=new _dataService.default(_this.dataHandler);_this.express.use(_this.dataService.router());console.log('Adding Web App service routes...'.grey);_this.webAppService=new _webAppService.default(_this.pluginVersions);_this.express.use(_this.webAppService.router());return _this;}_createClass(Server,[{key:"use",value:function use(pluginManifest){if(!pluginManifest.name&&pluginManifest.default&&pluginManifest.default.name){pluginManifest=pluginManifest.default;}var manifestValidation=_pluginManifest.default.validate(pluginManifest);if(manifestValidation.error){console.error('Plugin manifest malformed...'.red);console.error(manifestValidation.error);console.log('Plugin cannot be added. See error logs.'.red);return;}console.log(`Adding plugin ${pluginManifest.name} (v${pluginManifest.version})...`.cyan);try{this._serverPlug(pluginManifest);this._browserPlug(pluginManifest);if(pluginManifest.libName){this.browserWebpackIncludeMask.push(pluginManifest.libName);}this.pluginVersions[pluginManifest.libName]=pluginManifest.version;}catch(error){console.error(error.message.red);console.log(`Plugin ${pluginManifest.name} cannot be added. See error logs.`.red);}}},{key:"start",value:function start(portOffset,ipWhiteList,callback){var _this2=this;var greenlock=arguments.length>3&&arguments[3]!==undefined?arguments[3]:null;if(!this._sortByDependencies()){return;}this.express.use((0,_expressIpfilter.IpFilter)(ipWhiteList,{mode:'allow',logLevel:'deny'}));var mainPort=portOffset===0?'':`:${portOffset+80}`;var mainUrl='http://localhost';if(greenlock){mainPort=portOffset===0?'':`:${portOffset+443}`;mainUrl=this.webPushServerUrl?`https://${this.webPushServerUrl}`:mainUrl;greenlock(portOffset+80,portOffset+443,function(server){_this2.emit('start',callback);console.log(`HTTP(S) secured Express server ready on ports ${portOffset+80} & ${portOffset+443} with greenlock.`.grey);console.log('Connecting socket service...'.cyan);_this2.socketService.connect(server);console.log('Connecting middlewares...'.cyan);_this2.middlewares.forEach(function(middleware){if(middleware.connectPlugin){var contextualizablePluginService=middleware.connectPlugin(function(){return _this2.pluginServices;});if(contextualizablePluginService){_this2.pluginServices[middleware.libName]=contextualizablePluginService;}}});console.log('Adding fallback route...'.grey);_this2.express.use(_this2.assetsService.fallback());});}else{var server=null;if(_fs.default.existsSync(_path4.default.join('.','var','asterism.pem'))){mainPort=portOffset===0?'':`:${portOffset+443}`;mainUrl=this.webPushServerUrl?`https://${this.webPushServerUrl}`:mainUrl;var httpOptions={key:_fs.default.readFileSync(_path4.default.join('.','var','asterism.key')),cert:_fs.default.readFileSync(_path4.default.join('.','var','asterism.pem')),ca:_fs.default.readFileSync(_path4.default.join('.','var','rootCA.pem'))};var redirectServer=(0,_express.default)();var httpsPort=portOffset===0?'':`:${portOffset+443}`;redirectServer.all('*',function(req,res){res.redirect(`https://${req.hostname}${httpsPort}`+req.url);});redirectServer.listen(portOffset+80,function(){console.log(`HTTP redirecting Express server ready on port ${portOffset+80}.`.grey);});server=_https.default.createServer(httpOptions,this.express).listen(portOffset+443,function(){_this2.emit('start',callback);console.log(`HTTPS secured Express server ready on port ${portOffset+443}.`.grey);});}else{console.log('No SSL certificate found, HTTPS will not be available! run \'HOST=<server-hostname> npm run gen:cert\' to fix this.'.yellow);server=this.express.listen(portOffset+80,function(){_this2.emit('start',callback);console.log(`HTTP Express server ready on port ${portOffset+80}.`.grey);});}console.log('Connecting socket service...'.cyan);this.socketService.connect(server);console.log('Connecting middlewares...'.cyan);this.middlewares.forEach(function(middleware){if(middleware.connectPlugin){var contextualizablePluginService=middleware.connectPlugin(function(){return _this2.pluginServices;});if(contextualizablePluginService){_this2.pluginServices[middleware.libName]=contextualizablePluginService;}}});console.log('Adding fallback route...'.grey);this.express.use(this.assetsService.fallback());}setTimeout(function(){_this2.notificationService.webPushSendNotification('Asterism server started','Server is now available.','info',{tag:'asterism-server-start',renotify:true,data:{url:`${mainUrl}${mainPort}`}});},5000);}},{key:"stop",value:function stop(){var callback=arguments.length>0&&arguments[0]!==undefined?arguments[0]:function(){};var msg=arguments.length>1&&arguments[1]!==undefined?arguments[1]:null;console.log('Disconnecting middlewares...'.cyan);this.middlewares.forEach(function(middleware){if(middleware.disconnectPlugin){middleware.disconnectPlugin();}});console.log(`Express server stopped: ${msg}`.cyan);this.notificationService.webPushSendNotification('Asterism server stopped',msg,'warning',{tag:'asterism-server-start',renotify:true});callback();}},{key:"_serverPlug",value:function _serverPlug(pluginManifest){var _this3=this;var middlewaresManifest=pluginManifest.server.middlewares;var publicSockets=pluginManifest.server.publicSockets;var context={logger:this.logger.createSubLogger(pluginManifest.libName),dataHandler:this.dataHandler.createSubStorage(pluginManifest.libName),notificationHandler:this.notificationService.createHandler(pluginManifest.libName)};if(pluginManifest.privateSocket){var socketNamespace=(0,_sha.default)(pluginManifest.libName);this.socketService.registerPrivateSocketToContext(socketNamespace,context);this.serverPrivateSockets.push(socketNamespace);}if(publicSockets&&publicSockets.length>0){publicSockets.forEach(function(socketNamespace){_this3.socketService.registerPublicSocketToContext(socketNamespace,context);_this3.serverPublicSockets.push(socketNamespace);});}if(middlewaresManifest){middlewaresManifest(context).forEach(function(middlewarePath){console.log(`Adding server middleware for plugin ${pluginManifest.name}...`.grey);try{var middleware=require(middlewarePath);middleware=middleware.default?middleware.default(context,_express.default.Router()):middleware(context,_express.default.Router());_this3.express.use(`/${pluginManifest.libName}`,middleware);middleware.libName=pluginManifest.libName;Object.freeze(middleware.libName);_this3.middlewares.push(middleware);}catch(error){console.log(`Server middleware for plugin ${pluginManifest.name} has errors OR is a local one.`.grey);console.error(error);try{var path=_path4.default.resolve(process.cwd(),'..',middlewarePath);var _middleware=require(path);_middleware=_middleware.default?_middleware.default(context,_express.default.Router()):_middleware(context,_express.default.Router());_this3.express.use(`/${pluginManifest.libName}`,_middleware);_middleware.libName=pluginManifest.libName;Object.freeze(_middleware.libName);_this3.middlewares.push(_middleware);}catch(error){console.error(error);throw new Error(`Server middleware module ${middlewarePath} for plugin ${pluginManifest.name} not found!`);}}});}}},{key:"_browserPlug",value:function _browserPlug(pluginManifest){var _this4=this;var browserManifest=pluginManifest.browser;var servicesManifest=browserManifest.services;var pluginSha1=(0,_sha.default)(pluginManifest.libName);var publicSockets=browserManifest.publicSockets||[];var dependencies=pluginManifest.dependencies||[];var context={};if(servicesManifest){servicesManifest(context).forEach(function(servicePath){console.log(`Adding browser service for plugin ${pluginManifest.name}...`.grey);try{require.resolve(servicePath);_this4.browserServices.push({libName:pluginManifest.libName,service:_path4.default.resolve(process.cwd(),'node_modules',servicePath),privateSocket:_this4.serverPrivateSockets.includes(pluginSha1)?pluginSha1:null,publicSockets,dependencies});}catch(error){console.log(`Browser service for plugin ${pluginManifest.name} is a local one.`.grey);try{var path=_path4.default.resolve(process.cwd(),'..',servicePath);require.resolve(path);_this4.browserServices.push({libName:pluginManifest.libName,service:path,privateSocket:_this4.serverPrivateSockets.includes(pluginSha1)?pluginSha1:null,publicSockets,dependencies});}catch(error){throw new Error(`Browser service ${servicePath} for plugin ${pluginManifest.name} not found!`);}}});}if(browserManifest.settingsPanel){console.log(`Adding settings panel for plugin ${pluginManifest.name}...`.grey);try{require.resolve(browserManifest.settingsPanel);this.browserSettingsPanels.push({libName:pluginManifest.libName,module:_path4.default.resolve(process.cwd(),'node_modules',browserManifest.settingsPanel),privateSocket:this.serverPrivateSockets.includes(pluginSha1)?pluginSha1:null,publicSockets});}catch(error){console.log(`Settings panel ${pluginManifest.name} is a local one.`.grey);try{var path=_path4.default.resolve(process.cwd(),'..',browserManifest.settingsPanel);require.resolve(path);this.browserSettingsPanels.push({libName:pluginManifest.libName,module:path,privateSocket:this.serverPrivateSockets.includes(pluginSha1)?pluginSha1:null,publicSockets});}catch(error){throw new Error(`Settings panel module ${browserManifest.settingsPanel} for plugin ${pluginManifest.name} not found!`);}}}if(browserManifest.editPanels){console.log(`Adding edit panels for plugin ${pluginManifest.name}...`.grey);browserManifest.editPanels.forEach(function(editPanel){try{require.resolve(editPanel);_this4.browserEditPanels.push({libName:pluginManifest.libName,module:_path4.default.resolve(process.cwd(),'node_modules',editPanel),privateSocket:_this4.serverPrivateSockets.includes(pluginSha1)?pluginSha1:null,publicSockets});}catch(error){console.log(`Edit panel ${editPanel} for plugin ${pluginManifest.name} is a local one.`.grey);try{var _path=_path4.default.resolve(process.cwd(),'..',editPanel);require.resolve(_path);_this4.browserEditPanels.push({libName:pluginManifest.libName,module:_path,privateSocket:_this4.serverPrivateSockets.includes(pluginSha1)?pluginSha1:null,publicSockets});}catch(error){throw new Error(`Edit panel module ${editPanel} for plugin ${pluginManifest.name} not found!`);}}});}if(browserManifest.itemFactory){console.log(`Adding item factory for plugin ${pluginManifest.name}...`.grey);try{require.resolve(browserManifest.itemFactory);this.browserItemFactories.push({libName:pluginManifest.libName,module:_path4.default.resolve(process.cwd(),'node_modules',browserManifest.itemFactory),privateSocket:this.serverPrivateSockets.includes(pluginSha1)?pluginSha1:null,publicSockets});}catch(error){console.log(`Item Factory ${pluginManifest.name} is a local one.`.grey);try{var _path2=_path4.default.resolve(process.cwd(),'..',browserManifest.itemFactory);require.resolve(_path2);this.browserItemFactories.push({libName:pluginManifest.libName,module:_path2,privateSocket:this.serverPrivateSockets.includes(pluginSha1)?pluginSha1:null,publicSockets});}catch(error){throw new Error(`Item factory module ${browserManifest.itemFactory} for plugin ${pluginManifest.name} not found!`);}}}if(browserManifest.styles){console.log(`Adding styles for plugin ${pluginManifest.name}...`.grey);try{require.resolve(browserManifest.styles);this.browserStyles.push(_path4.default.resolve(process.cwd(),'node_modules',browserManifest.styles));}catch(error){console.log(`Styles file for ${pluginManifest.name} is a local one.`.grey);try{var _path3=_path4.default.resolve(process.cwd(),'..',browserManifest.styles);require.resolve(_path3);this.browserStyles.push(_path3);}catch(error){throw new Error(`Styles file ${browserManifest.styles} for plugin ${pluginManifest.name} not found!`);}}}if(this.serverPrivateSockets.includes(pluginSha1)){console.log(`Plugin ${pluginManifest.name} registered a private socket.`.grey);}if(publicSockets&&publicSockets.length>0){console.log(`Plugin ${pluginManifest.name} registered public sockets to join.`.grey);}}},{key:"_sortByDependencies",value:function _sortByDependencies(){var _this5=this;var browserServicesSorter=(0,_tsort.default)();this.browserServices.forEach(function(browserService){browserServicesSorter.add(browserService.libName);browserService.dependencies.forEach(function(dependency){browserServicesSorter.add(dependency,browserService.libName);});});try{var i;(function(){var sorted=browserServicesSorter.sort();for(i=0;i<sorted.length;i++){sorted[i]=_this5.browserServices.find(function(s){return s.libName===sorted[i];});}_this5.browserServices=sorted;})();}catch(error){console.error(error.message.red);console.log('Cannot sort registered services: cyclic dependencies are detected. See error logs.'.red);return false;}return true;}}]);return Server;}(_events.default);Server.getWebPushParameters=function(){var publicVapidKey=process.argv.find(function(arg){return arg.match(/^--webPushPublicKey=/);});var privateVapidKey=process.argv.find(function(arg){return arg.match(/^--webPushPrivateKey=/);});var email=process.argv.find(function(arg){return arg.match(/^--webPushEmail=/);});var serverUrl=process.argv.find(function(arg){return arg.match(/^--webPushServerUrl=/);});if(publicVapidKey&&privateVapidKey&&email&&serverUrl){publicVapidKey=publicVapidKey.replace('--webPushPublicKey=','');privateVapidKey=privateVapidKey.replace('--webPushPrivateKey=','');email=email.replace('--webPushEmail=','');serverUrl=serverUrl.replace('--webPushServerUrl=','');return{serverWebPush:{email,publicVapidKey,privateVapidKey,serverUrl},browserWebPush:{publicVapidKey,serverUrl}};}try{var _require=require('../../var/webPush.json'),_email=_require.email,_publicVapidKey=_require.publicVapidKey,_privateVapidKey=_require.privateVapidKey;return{serverWebPush:{email:_email,publicVapidKey:_publicVapidKey,privateVapidKey:_privateVapidKey,serverUrl:null},browserWebPush:{publicVapidKey:_publicVapidKey,serverUrl}};}catch(error){console.error('ERROR: WebPush notifications parameters not generated. Use npm run gen:webPush before.');return{serverWebPush:null,browserWebPush:null};}};var _default=Server;exports.default=_default;