'use strict';Object.defineProperty(exports,"__esModule",{value:true});exports.default=void 0;var _express=_interopRequireDefault(require("express"));var _webPush=_interopRequireDefault(require("web-push"));function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);enumerableOnly&&(symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable;})),keys.push.apply(keys,symbols);}return keys;}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=null!=arguments[i]?arguments[i]:{};i%2?ownKeys(Object(source),!0).forEach(function(key){_defineProperty(target,key,source[key]);}):Object.getOwnPropertyDescriptors?Object.defineProperties(target,Object.getOwnPropertyDescriptors(source)):ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key));});}return target;}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}function _createClass(Constructor,protoProps,staticProps){if(protoProps)_defineProperties(Constructor.prototype,protoProps);if(staticProps)_defineProperties(Constructor,staticProps);Object.defineProperty(Constructor,"prototype",{writable:false});return Constructor;}var NotificationService=function(){function NotificationService(){_classCallCheck(this,NotificationService);this.notifications=[];this.notificationCallbacks={};}_createClass(NotificationService,[{key:"setWebPush",value:function setWebPush(dataHandler){var _this=this;var webPushParams=arguments.length>1&&arguments[1]!==undefined?arguments[1]:null;this.dataHandler=dataHandler;this.webPushParams=webPushParams;this.webPushSubscriptions=null;if(this.webPushParams&&this.webPushParams.publicVapidKey){_webPush.default.setVapidDetails(this.webPushParams.email,this.webPushParams.publicVapidKey,this.webPushParams.privateVapidKey);console.log('Web Push subscription is activated');this.dataHandler.getItem('web-push-subscriptions').then(function(subscriptions){_this.webPushSubscriptions=subscriptions||[];_this.webPushSendNotification('Asterism server starting...','Server is rebooting, please wait...','warning',{tag:'asterism-server-start',renotify:true});});}else{console.log('Web Push subscription cannot be activated');}}},{key:"setSocketIo",value:function setSocketIo(socketIo){if(!this.socketIo){this.socketIo=socketIo;}}},{key:"connectSocket",value:function connectSocket(socket){var _this2=this;socket.on('notification-callback',function(id,ack){if(_this2.notificationCallbacks[id]){try{var result=_this2.notificationCallbacks[id](socket);ack({success:true,result});}catch(error){ack({success:false,error});}}});this.socketIo.emit('notification-update',this.notifications.map(function(no){return _objectSpread(_objectSpread({},no),{},{command:'set'});}));}},{key:"createHandler",value:function createHandler(prefix){var _this3=this;return{setNotification:function setNotification(key,icon,css,clickCallback){var id=`${prefix}§§${key}`;_this3.notifications=_this3.notifications.filter(function(n){return n.id!==id;});_this3.notifications.push({id,icon,css});_this3.notificationCallbacks[id]=clickCallback||function(){};if(!_this3.socketIo){console.error('setNotification called too early: sockets are not yet ready!');}else{_this3.socketIo.emit('notification-update',_this3.notifications.map(function(no){return _objectSpread(_objectSpread({},no),{},{command:no.id===id?'highlight':'set'});}));}},removeNotification:function removeNotification(id){_this3.notifications=_this3.notifications.filter(function(n){return n.id!==id;});delete _this3.notificationCallbacks[id];_this3.socketIo.emit('notification-update',[{command:'remove',id}]);},pushNotificationMessage:function pushNotificationMessage(title,body){var level=arguments.length>2&&arguments[2]!==undefined?arguments[2]:'info';var options=arguments.length>3&&arguments[3]!==undefined?arguments[3]:{};_this3.webPushSendNotification(title,body,level,options);}};}},{key:"webPushSendNotification",value:function webPushSendNotification(title,body){var _this4=this;var level=arguments.length>2&&arguments[2]!==undefined?arguments[2]:'info';var options=arguments.length>3&&arguments[3]!==undefined?arguments[3]:{};var subscriptions=arguments.length>4&&arguments[4]!==undefined?arguments[4]:this.webPushSubscriptions;var buildOnly=process.argv.find(function(arg){return arg.match(/^--build-only/);});if(buildOnly){return;}if(this.webPushSubscriptions===null){console.error('Web Push sendNotification failed (unactivated). Message:',title,body);return;}var payload=JSON.stringify({title,body,icon:`/assets/web-push-logo-${level}.png`,options});subscriptions.forEach(function(subscription,index){if(!subscription){return;}_webPush.default.sendNotification(subscription,payload).catch(function(error){console.error('Web Push sendNotification failed for:',subscription,error.stack);_this4.webPushSubscriptions[index]=null;});});if(this.webPushSubscriptions.find(function(e){return!e;})){this.webPushSubscriptions=this.webPushSubscriptions.filter(function(e){return!!e;});this.dataHandler.setItem('web-push-subscriptions',this.webPushSubscriptions);}}},{key:"router",value:function router(){var _this5=this;var router=_express.default.Router();router.post('/web-push-subscribe',function(req,res){var subscription=req.body;if(!subscription){console.error('Web Push subscription failed (empty body).');return res.status(400).json({});}res.status(201).json({});if(_this5.webPushSubscriptions===null){console.error('Web Push subscription failed (unactivated).');return;}if(_this5.webPushSubscriptions.find(function(s){return s&&s.endpoint===subscription.endpoint;})){_this5.webPushSubscriptions=_this5.webPushSubscriptions.map(function(s){return s&&s.endpoint===subscription.endpoint?subscription:s;});_this5.dataHandler.setItem('web-push-subscriptions',_this5.webPushSubscriptions).then(function(){console.log('Web Push Subscription updated:',subscription);});}else{_this5.webPushSubscriptions.push(subscription);_this5.dataHandler.setItem('web-push-subscriptions',_this5.webPushSubscriptions).then(function(){console.log('Web Push Subscription added:',subscription);});}});return router;}}]);return NotificationService;}();exports.default=NotificationService;